Schema "fpml-com-5-5.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/transparency

Version:

  $Revision: 10138 $

Defined Components:

  15 global elements, 177 local elements, 99 complexTypes, 19 element groups

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Users\mkoli\FpML Specifications\trunk\xml\transparency\fpml-com-5-5.xsd; see XML source

Includes Schema:

  fpml-option-shared-5-5.xsd [src]

Included in Schemas (3):

  fpml-business-events-5-5.xsd [src], fpml-generic-5-5.xsd [src], fpml-main-5-5.xsd [src]

All Element Summary
abandonmentOfScheme | Applies to U.S.
Type: | EnvironmentalAbandonmentOfSchemeEnum
Content: | simple
Defined: | locally witnin EnvironmentalPhysicalLeg complexType; see XML source
americanExercise (defined in CommodityExercise complexType) | The parameters for defining the expiration date for an American option.
Type: | CommodityAmericanExercise
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityExercise complexType; see XML source
americanExercise (defined in CommodityPhysicalExercise complexType) | The parameters for defining the expiration date(s) and time(s) for an American style option.
Type: | CommodityPhysicalAmericanExercise
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityPhysicalExercise complexType; see XML source
amount (in referenceLevel) |
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin ReferenceLevel complexType; see XML source
applicable (in systemFirm) | Indicates that the trade is for a System Firm product.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin ElectricityDeliverySystemFirm complexType; see XML source
applicable (in unitFirm) | Indicates that the trade is for a Unit Firm product.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin ElectricityDeliveryUnitFirm complexType; see XML source
applicableLaw | Applies to U.S.
Type: | EnvironmentalProductApplicableLaw
Content: | simple, 1 attribute
Defined: | locally witnin EnvironmentalProduct complexType; see XML source
averagePriceLeg | Specifies the calculated floating price leg of a Commodity Forward Transaction.
Type: | AveragePriceLeg
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin CommodityForward complexType; see XML source
averagingMethod (defined in FloatingLegCalculation complexType) | The parties may specify a Method of Averaging where more than one pricing Dates is being specified as being applicable.
Type: | AveragingMethodEnum
Content: | simple
Defined: | locally witnin FloatingLegCalculation complexType; see XML source
averagingMethod (in commodityOption) | The Method of Averaging if there is more than one Pricing Date.
Type: | AveragingMethodEnum
Content: | simple
Defined: | locally witnin CommodityAsian.model group; see XML source
balanceOfFirstPeriod | If true, indicates that that the first Calculation Period should run from the Effective Date to the end of the calendar period in which the Effective Date falls, e.g.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin CommodityCalculationPeriodsSchedule complexType; see XML source
bullionPhysicalLeg | The physical leg of a Commodity Forward Transaction for which the underlyer is Bullion.
Type: | BullionPhysicalLeg
Content: | complex, 1 attribute, 4 elements
Subst.Gr: | may substitute for element commodityForwardLeg
Defined: | globally; see XML source
Used: | never
bullionType | The type of Bullion underlying a Bullion Transaction.
Type: | BullionTypeEnum
Content: | simple
Defined: | locally witnin BullionPhysicalLeg complexType; see XML source
buyerHub | The hub code of the gas buyer.
Type: | CommodityHub
Content: | complex, 2 elements
Defined: | locally witnin GasDelivery complexType; see XML source
calculation (in averagePriceLeg) | Captures details relevant to the calculation of the floating price.
Type: | FloatingLegCalculation
Content: | complex, 4 elements
Defined: | locally witnin AveragePriceLeg complexType; see XML source
calculation (in commodityOption) | Contains parameters which figure in the calculation of payments on a Weather Index Option.
Type: | WeatherLegCalculation
Content: | complex, 5 elements
Defined: | locally witnin CommodityWeatherOption.model group; see XML source
calculation (in floatingLeg) | Defines details relevant to the calculation of the floating price.
Type: | FloatingLegCalculation
Content: | complex, 4 elements
Defined: | locally witnin FloatingPriceLeg complexType; see XML source
calculation (in weatherLeg) | Defines details relevant to the calculation of the aggregate weather index amount.
Type: | WeatherLegCalculation
Content: | complex, 5 elements
Defined: | locally witnin WeatherLeg complexType; see XML source
calculationDate | The number of days following the final day of the Calculation Period specified in the Confirmation on which is is practicable to provide the notice that the Calculation Agent is required to give for that Settlement Date or Payment Date.
Type: | Period
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin WeatherLegCalculation complexType; see XML source
calculationPeriod |
Type: | WeatherCalculationPeriod
Content: | complex, 2 elements
Defined: | locally witnin WeatherCalculationPeriods complexType; see XML source
calculationPeriodEndDay |
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin WeatherCalculationPeriod complexType; see XML source
calculationPeriodFirstDay |
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin WeatherCalculationPeriod complexType; see XML source
calculationPeriodsSchedule (defined in CommodityCalculationPeriods.model group) | The Calculation Periods for this leg of the swap.
Type: | CommodityCalculationPeriodsSchedule
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin CommodityCalculationPeriods.model group; see XML source
calculationPeriodsSchedule (in commodityOption) | A parametric representation of the Calculation Periods of the Commodity Option Transaction.
Type: | CommodityCalculationPeriodsSchedule
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin CommodityAsian.model group; see XML source
calendarSource | Used in conjunction with an exchange-based pricing source.
Type: | CalendarSourceEnum
Content: | simple
Defined: | locally witnin CommodityPricingDates complexType; see XML source
coal | The specification of the Coal Product to be delivered.
Type: | CoalProduct
Content: | complex, 2 elements
Defined: | locally witnin CoalPhysicalLeg complexType; see XML source
coalPhysicalLeg | Physically settled coal leg.
Type: | CoalPhysicalLeg
Content: | complex, 1 attribute, 3 elements
Subst.Gr: | may substitute for element commoditySwapLeg
Defined: | globally; see XML source
Used: | never
commencementDate (in exercisePeriod) | The first day of the exercise period for an American style option.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityExercisePeriods complexType; see XML source
commencementDates | The first day(s) of the exercise period(s) for an American-style option.
Type: | AdjustableOrRelativeDates
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityPhysicalAmericanExercise complexType; see XML source
commodity (in commodityOption) | Specifies the underlying instrument.
Type: | Commodity
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin CommodityFinancialOption.model group; see XML source
commodity (in floatingLeg) | Specifies the underlying instrument.
Type: | Commodity
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin FloatingPriceLeg complexType; see XML source
commodityForward | Defines a commodity forward product.
Type: | CommodityForward
Content: | complex, 1 attribute, 9 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | at 1 location
commodityForwardLeg | Defines the substitutable commodity forward leg.
Type: | CommodityForwardLeg
Content: | empty, 1 attribute
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | may be substituted with 2 elements
Defined: | globally; see XML source
Used: | at 3 locations
commodityOption | Defines a commodity option product.
Type: | CommodityOption
Content: | complex, 1 attribute, 27 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
commoditySwap | Defines a commodity swap product.
Type: | CommoditySwap
Content: | complex, 1 attribute, 10 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
commoditySwap (in commoditySwaption) | The underlying commodity swap definiton.
Type: | CommoditySwaptionUnderlying
Content: | complex, 5 elements
Defined: | locally witnin CommoditySwaption complexType; see XML source
commoditySwapLeg | Defines the substitutable commodity swap leg
Type: | CommoditySwapLeg
Content: | empty, 1 attribute
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | may be substituted with 7 elements
Defined: | globally; see XML source
Used: | at 8 locations
commoditySwaption | Defines a commodity swaption product
Type: | CommoditySwaption
Content: | complex, 1 attribute, 9 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
contractRate | For a DRY Voyage Charter or Time Charter Commodity Swap, the price per relevant unit for pruposes of the calculation of a Fixed Amount.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityFixedPrice.model group; see XML source
dayCount | The number of days over which pricing should take place.
Type: | xsd:positiveInteger
Content: | simple
Defined: | locally witnin PricingDays.model group; see XML source
dayDistribution | The method by which the pricing days are distributed across the pricing period.
Type: | CommodityFrequencyType
Content: | simple, 1 attribute
Defined: | locally witnin PricingDays.model group; see XML source
dayType | The type of day on which pricing occurs.
Type: | CommodityDayTypeEnum
Content: | simple
Defined: | locally witnin PricingDays.model group; see XML source
deliverableByBarge | Whether or not the delivery can go to barge.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin OilPipelineDelivery complexType; see XML source
deliveryAtSource | The point at which the Coal Product as a reference to the Source of the Coal Product.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin CoalDelivery complexType; see XML source
deliveryConditions (in coalPhysicalLeg) | The physical delivery conditions for the transaction.
Type: | CoalDelivery
Content: | complex, 3 elements
Defined: | locally witnin CoalPhysicalLeg complexType; see XML source
deliveryConditions (in electricityPhysicalLeg) | The physical delivery conditions for the transaction.
Type: | ElectricityDelivery
Content: | complex, 4 elements
Defined: | locally witnin ElectricityPhysicalLeg complexType; see XML source
deliveryConditions (in gasPhysicalLeg) | The physical delivery conditions for the transaction.
Type: | GasDelivery
Content: | complex, 5 elements
Defined: | locally witnin GasPhysicalLeg complexType; see XML source
deliveryConditions (in metalPhysicalLeg) | The physical delivery arrangements and requirements for a physically settled non-precious metal transaction.
Type: | MetalDelivery
Content: | complex, 2 elements
Defined: | locally witnin MetalPhysicalLeg complexType; see XML source
deliveryConditions (in oilPhysicalLeg) | The physical delivery conditions for the transaction.
Type: | OilDelivery
Content: | complex, 2 elements
Defined: | locally witnin OilPhysicalLeg complexType; see XML source
deliveryLocation (in bullionPhysicalLeg) | The physical delivery location for the transaction.
Type: | BullionDeliveryLocation
Content: | simple, 1 attribute
Defined: | locally witnin BullionPhysicalLeg complexType; see XML source
deliveryLocation (in deliveryConditions in metalPhysicalLeg) | The Delivery Point for a physically settled non-precious metal transaction.
Type: | CommodityDeliveryPoint
Content: | simple, 1 attribute
Defined: | locally witnin MetalDelivery complexType; see XML source
deliveryLocation (in transfer) | The location at which the transfer of the title to the commodity takes place.
Type: | CommodityDeliveryPoint
Content: | simple, 1 attribute
Defined: | locally witnin OilTransferDelivery complexType; see XML source
deliveryPoint (in deliveryConditions in coalPhysicalLeg) | The point at which the Coal Product will be delivered and received.
Type: | CoalDeliveryPoint
Content: | simple, 1 attribute
Defined: | locally witnin CoalDelivery complexType; see XML source
deliveryPoint (in deliveryConditions in electricityPhysicalLeg) | The point at which delivery of the electricity will occur.
Type: | ElectricityDeliveryPoint
Content: | simple, 1 attribute
Defined: | locally witnin ElectricityDelivery complexType; see XML source
deliveryPoint (in deliveryConditions in gasPhysicalLeg) | The physical or virtual point at which the commodity will be delivered.
Type: | GasDeliveryPoint
Content: | simple, 1 attribute
Defined: | locally witnin CommodityDeliveryPoints.model group; see XML source
deliveryQuantity (in coalPhysicalLeg) | The different options for specifying the quantity.
Type: | CommodityPhysicalQuantity
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin CoalPhysicalLeg complexType; see XML source
deliveryQuantity (in electricityPhysicalLeg) | The different options for specifying the quantity.
Type: | ElectricityPhysicalQuantity
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin ElectricityPhysicalLeg complexType; see XML source
deliveryQuantity (in gasPhysicalLeg) | The different options for specifying the quantity.
Type: | GasPhysicalQuantity
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin GasPhysicalLeg complexType; see XML source
deliveryQuantity (in oilPhysicalLeg) | The different options for specifying the quantity.
Type: | CommodityPhysicalQuantity
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin OilPhysicalLeg complexType; see XML source
deliveryType (in deliveryConditions in electricityPhysicalLeg) | Indicates the under what conditions the Parties' delivery obligations apply.
Type: | ElectricityDeliveryType
Content: | complex, 4 elements
Defined: | locally witnin ElectricityDelivery complexType; see XML source
deliveryType (in deliveryConditions in gasPhysicalLeg) | Indicates whether the buyer and seller are contractually obliged to consume and supply the specified quantities of the commodity.
Type: | DeliveryTypeEnum
Content: | simple
Defined: | locally witnin GasDelivery complexType; see XML source
deliveryZone | The zone covering potential delivery points for the electricity.
Type: | CommodityDeliveryPoint
Content: | simple, 1 attribute
Defined: | locally witnin ElectricityDelivery complexType; see XML source
eEPApplicable | If Excess Emission Penalty is specified to be applicable in the Confirmation then the Excess Emission Penalty will be determined in the manner specified in the Confirmation (see other EEP parameters)
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin EEPParameters complexType; see XML source
effectiveDate (defined in CommoditySwapDetails.model group) | Specifies the effective date of this leg of the swap.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommoditySwapDetails.model group; see XML source
effectiveDate (in commodityOption) | The effective date of the Commodity Option Transaction.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityOptionFeatures.model group; see XML source
effectiveDate (in commodityOption) | Effective date of an option.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityWeatherOption.model group; see XML source
electricity | The specification of the electricity to be delivered.
Type: | ElectricityProduct
Content: | complex, 1 element
Defined: | locally witnin ElectricityPhysicalLeg complexType; see XML source
electricityPhysicalLeg | Physically settled electricity leg.
Type: | ElectricityPhysicalLeg
Content: | complex, 1 attribute, 4 elements
Subst.Gr: | may substitute for element commoditySwapLeg
Defined: | globally; see XML source
Used: | never
endDate (in riskPeriod) |
Type: | xsd:date
Content: | simple
Defined: | locally witnin EEPRiskPeriod complexType; see XML source
endYear | The last year of the Commpliance Period.
Type: | xsd:gYear
Content: | simple
Defined: | locally witnin EnvironmentalProductComplaincePeriod complexType; see XML source
entryPoint | The point at which the oil product will enter the pipeline.
Type: | CommodityDeliveryPoint
Content: | simple, 1 attribute
Defined: | locally witnin OilPipelineDelivery complexType; see XML source
environmental | The specification of the type of allowance or credit.
Type: | EnvironmentalProduct
Content: | complex, 4 elements
Defined: | locally witnin EnvironmentalPhysicalLeg complexType; see XML source
environmentalPhysicalLeg | Physically settled environmental leg.
Type: | EnvironmentalPhysicalLeg
Content: | complex, 1 attribute, 3 elements
Subst.Gr: | may substitute for element commoditySwapLeg
Defined: | globally; see XML source
Used: | never
equivalentApplicable | When "true" the EEP Equivalent is applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin EEPParameters complexType; see XML source
europeanExercise (defined in CommodityExercise complexType) | The parameters for defining the expiration date and time for a European or Asian style option.
Type: | CommodityEuropeanExercise
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityExercise complexType; see XML source
europeanExercise (defined in CommodityPhysicalExercise complexType) | The parameters for defining the expiration date(s) and time(s) for a European style option.
Type: | CommodityPhysicalEuropeanExercise
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin CommodityPhysicalExercise complexType; see XML source
exercise (in commodityOption) | The parameters for defining how the commodity option can be exercised and how it is settled.
Type: | CommodityExercise
Content: | complex, 3 elements
Defined: | locally witnin CommodityFinancialOption.model group; see XML source
exercise (in commodityOption) |
Type: | CommodityExercise
Content: | complex, 3 elements
Defined: | locally witnin CommodityWeatherOption.model group; see XML source
exerciseFrequency (in americanExercise defined in CommodityExercise complexType) | The exercise frequency for the strip.
Type: | Frequency
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityAmericanExercise complexType; see XML source
exerciseFrequency (in europeanExercise defined in CommodityExercise complexType) | The exercise frequency for the strip.
Type: | Frequency
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityEuropeanExercise complexType; see XML source
exercisePeriod | Describes the American exercise periods.
Type: | CommodityExercisePeriods
Content: | complex, 2 elements
Defined: | locally witnin CommodityAmericanExercise complexType; see XML source
expirationDate (in europeanExercise defined in CommodityExercise complexType) | The last day within an exercise period for an American style option.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityEuropeanExercise complexType; see XML source
expirationDate (in europeanExercise defined in CommodityPhysicalExercise complexType) | The Expiration Date of a single expiry European-style option or the first Expiration Date of a multiple expiry or daily expiring option.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityPhysicalEuropeanExercise complexType; see XML source
expirationDate (in exercisePeriod) | The last day within an exercise period for an American style option.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityExercisePeriods complexType; see XML source
expirationDates | The Expiration Date(s) of an American-style option.
Type: | AdjustableOrRelativeDates
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityPhysicalAmericanExercise complexType; see XML source
fallback | Disruption fallback that applies to the trade.
Type: | DisruptionFallback
Content: | simple, 1 attribute
Defined: | locally witnin SequencedDisruptionFallback complexType; see XML source
firm | Indicates under what condtitions the Parties' delivery obligations apply.
Type: | ElectricityDeliveryFirm
Content: | complex, 1 element
Defined: | locally witnin ElectricityDeliveryType complexType; see XML source
fixedLeg | Fixed Price Leg.
Type: | FixedPriceLeg
Content: | complex, 1 attribute, 10 elements
Subst.Gr: | may substitute for element commoditySwapLeg
Defined: | globally; see XML source
Used: | never
fixedLeg (in commodityForward) | The fixed leg of a Commodity Forward Transaction.
Type: | NonPeriodicFixedPriceLeg
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityForward complexType; see XML source
fixedPrice (in fixedLeg in commodityForward) | Fixed price on which fixed payments are based.
Type: | FixedPrice
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin NonPeriodicFixedPriceLeg complexType; see XML source
fixedPrice (in fixedLeg) | Fixed price on which fixed payments are based.
Type: | FixedPrice
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin CommodityFixedPrice.model group; see XML source
flatRate | Whether the Flat Rate is the New Worldwide Tanker Nominal Freight Scale for the Freight Index Route taken at the Trade Date of the transaction or taken on each Pricing Date.
Type: | FlatRateEnum
Content: | simple
Defined: | locally witnin CommodityFreightFlatRate.model group; see XML source
flatRateAmount | If flatRate is set to "Fixed", the actual value of the Flat Rate.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityFreightFlatRate.model group; see XML source
floatingLeg | Floating Price leg.
Type: | FloatingPriceLeg
Content: | complex, 1 attribute, 5 elements
Subst.Gr: | may substitute for element commoditySwapLeg
Defined: | globally; see XML source
Used: | never
floatingStrikePricePerUnit | The currency amount of the strike price per unit.
Type: | FloatingStrikePrice
Content: | complex, 5 elements
Defined: | locally witnin CommodityFloatingStrikePrice.model group; see XML source
forceMajeure | If true, indicates that the buyer and seller should be excused of their delivery obligations when such performance is prevented by Force Majeure.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin ElectricityDeliveryFirm complexType; see XML source
gas | The specification of the gas to be delivered.
Type: | GasProduct
Content: | complex, 1 element
Defined: | locally witnin GasPhysicalLeg complexType; see XML source
gasPhysicalLeg | Physically settled natural gas leg.
Type: | GasPhysicalLeg
Content: | complex, 1 attribute, 3 elements
Subst.Gr: | may substitute for element commoditySwapLeg
Defined: | globally; see XML source
Used: | never
grade (in metal) | The grade(s) of material which can be delivered in seller's option.
Type: | CommodityMetalGrade
Content: | simple, 1 attribute
Defined: | locally witnin Metal complexType; see XML source
grade (in oil) | The grade of oil product to be delivered.
Type: | CommodityProductGrade
Content: | simple, 1 attribute
Defined: | locally witnin OilProduct complexType; see XML source
hubCode |
Type: | CommodityHubCode
Content: | simple, 1 attribute
Defined: | locally witnin CommodityHub complexType; see XML source
integralMultipleQuantity | The integral multiple quantity defines a lower limit of the Notional Quantity that can be exercised and also defines a unit multiple of the Notional Quantity that can be exercised, i.e. only integer multiples of this Notional Quantity can be exercised.
Type: | CommodityNotionalQuantity
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin CommodityMultipleExercise complexType; see XML source
interconnectionPoint (in deliveryConditions in electricityPhysicalLeg) | Identification of the border(s) or border point(s) of a transportation contract.
Type: | InterconnectionPoint
Content: | simple, 1 attribute
Defined: | locally witnin ElectricityDelivery complexType; see XML source
interconnectionPoint (in deliveryConditions in gasPhysicalLeg) | Identification of the border(s) or border point(s) of a transportation contract.
Type: | InterconnectionPoint
Content: | simple, 1 attribute
Defined: | locally witnin GasDelivery complexType; see XML source
loadType (in electricityPhysicalLeg) | LoadType is a summary of the full description of the settlement periods with respect to the region.
Type: | LoadTypeEnum
Content: | simple
Defined: | locally witnin ElectricityPhysicalLeg complexType; see XML source
masterAgreementPaymentDates | If present and true indicates that the Payment Date(s) are specified in the relevant master agreement.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin CommodityNonPeriodicPaymentDates.model group; see XML source
material | The types of metal product for a physically settled metal trade.
Type: | Material
Content: | simple, 1 attribute
Defined: | locally witnin Metal complexType; see XML source
maximumPaymentAmount | The maximum total payment amount that will be paid in any particular transaction.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin WeatherLegCalculation complexType; see XML source
maximumTransactionPaymentAmount | The maximum payment amount that will be paid in any particular Calculation Period.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin WeatherLegCalculation complexType; see XML source
metal | The specification of the Metal Product to be delivered.
Type: | Metal
Content: | complex, 2 elements
Defined: | locally witnin MetalPhysicalLeg complexType; see XML source
metalPhysicalLeg | Physically settled metal products leg.
Type: | MetalPhysicalLeg
Content: | complex, 1 attribute, 3 elements
Subst.Gr: | may substitute for element commodityForwardLeg
Defined: | globally; see XML source
Used: | never
minimumNotionalQuantity | The minimum Notional Quantity that can be exercised on a given Exercise Date.
Type: | CommodityNotionalQuantity
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin CommodityMultipleExercise complexType; see XML source
nonFirm | If present and set to true, indicates that delivery or receipt of the electricity may be interrupted for any reason or for no reason, without liability on the part of either Party.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin ElectricityDeliveryType complexType; see XML source
notionalQuantity | The Notional Quantity.
Type: | CommodityNotionalQuantity
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin CommodityNotionalQuantity.model group; see XML source
numberOfAllowances | The number of allowances, certificates or credit to be transaction in the transaction.
Type: | UnitQuantity
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin EnvironmentalPhysicalLeg complexType; see XML source
oil | The specification of the oil product to be delivered.
Type: | OilProduct
Content: | complex, 2 elements
Defined: | locally witnin OilPhysicalLeg complexType; see XML source
oilPhysicalLeg | Physically settled oil or refined products leg.
Type: | OilPhysicalLeg
Content: | complex, 1 attribute, 3 elements
Subst.Gr: | may substitute for element commoditySwapLeg
Defined: | globally; see XML source
Used: | never
optionType (in commodityOption) | The type of option transaction.
Type: | PutCallEnum
Content: | simple
Defined: | locally witnin CommodityOption complexType; see XML source
optionType (in commoditySwaption) | The type of option transaction.
Type: | PutCallEnum
Content: | simple
Defined: | locally witnin CommoditySwaption complexType; see XML source
paymentDates (defined in CommodityNonPeriodicPaymentDates.model group) | Dates on which payments will be made.
Type: | AdjustableDatesOrRelativeDateOffset
Content: | complex, 2 elements
Defined: | locally witnin CommodityNonPeriodicPaymentDates.model group; see XML source
penaltyApplicable | When "true" the Excess Emissions Penalty is applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin EEPParameters complexType; see XML source
periodsSchedule | The Delivery Periods for this leg of the swap.
Type: | CommodityCalculationPeriodsSchedule
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin CommodityDeliveryPeriods complexType; see XML source
physicalExercise (in commodityOption) | The parameters for defining how the commodity option can be exercised into a physical transaction.
Type: | CommodityPhysicalExercise
Content: | complex, 2 elements
Defined: | locally witnin CommodityPhysicalOption.model group; see XML source
physicalExercise (in commoditySwaption) | The parameters for defining how the commodity option can be exercised into a physical transaction.
Type: | CommodityPhysicalExercise
Content: | complex, 2 elements
Defined: | locally witnin CommoditySwaption complexType; see XML source
pipeline | Specified the delivery conditions where the oil product is to be delivered by pipeline.
Type: | OilPipelineDelivery
Content: | complex, 5 elements
Defined: | locally witnin OilDelivery complexType; see XML source
pipelineName | The name of pipeline by which the oil product will be delivered.
Type: | CommodityPipeline
Content: | simple, 1 attribute
Defined: | locally witnin OilPipelineDelivery complexType; see XML source
premium (in commodityOption) | The option premium payable by the buyer to the seller.
Type: | CommodityPremium
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityOption complexType; see XML source
premium (in commoditySwaption) | The option premium payable by the buyer to the seller.
Type: | CommodityPremium
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommoditySwaption complexType; see XML source
premiumPerUnit | The currency amount of premium to be paid per Unit of the Total Notional Quantity.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityPremium complexType; see XML source
price (defined in FixedPrice complexType) | The Fixed Price.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin FixedPrice complexType; see XML source
priceCurrency | Currency of the fixed price.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin Price.model group; see XML source
priceUnit | The unit of measure used to calculate the Fixed Price.
Type: | QuantityUnit
Content: | simple, 1 attribute
Defined: | locally witnin Price.model group; see XML source
pricingDates (defined in FloatingLegCalculation complexType) | Commodity Pricing Dates.
Type: | CommodityPricingDates
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin FloatingLegCalculation complexType; see XML source
pricingDates (in commodityOption) | The dates on which the option will price.
Type: | CommodityPricingDates
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin CommodityAsian.model group; see XML source
pricingStartDate | Defines the Start of the Pricing period.
Type: | AdjustableDate
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin AveragePriceLeg complexType; see XML source
productType (in environmental) | Specifies the type of environmental allowance or credit.
Type: | EnvironmentalProductTypeEnum
Content: | simple
Defined: | locally witnin EnvironmentalProduct complexType; see XML source
quantity (defined in UnitQuantity complexType) | Amount of commodity per quantity frequency.
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin UnitQuantity complexType; see XML source
quantity (defined in WeatherIndex complexType) | This is the Reference Level.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin WeatherIndex complexType; see XML source
quantityUnit (defined in CommodityNotionalQuantity complexType) | Quantity Unit is the unit of measure applicable for the quantity on the Transaction.
Type: | QuantityUnit
Content: | simple, 1 attribute
Defined: | locally witnin CommodityNotionalQuantity complexType; see XML source
quantityUnit (defined in UnitQuantity complexType) | Quantity Unit is the unit of measure applicable for the quantity on the Transaction.
Type: | QuantityUnit
Content: | simple, 1 attribute
Defined: | locally witnin UnitQuantity complexType; see XML source
referenceLevel | Reference level is the number of degree-days (in the case of HDD and CDD) or inches/millimeters (in the case of CPD) on which the differential is calculated.
Type: | ReferenceLevel
Content: | complex, 2 elements
Defined: | locally witnin WeatherIndexData complexType; see XML source
referenceLevelEqualsZero | If Reference Level Equals Zero is specified to be applicable then CPD means, for any day during the Calculation Period, (A) 1 if the Daily Precipitation for that day is greater than or equal to the CPD Reference Level or (B) zero if the the Daily Precipitation for that day is less than the CPD Reference Level.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin WeatherLegCalculation complexType; see XML source
referenceLevelUnit |
Type: | ReferenceLevelUnit
Content: | simple, 1 attribute
Defined: | locally witnin ReferenceLevel complexType; see XML source
risk (in deliveryConditions in coalPhysicalLeg) | Specifies how the risk associated with the delivery is assigned.
Type: | CommodityDeliveryRisk
Content: | simple, 1 attribute
Defined: | locally witnin CommodityUSCoalDelivery.model group; see XML source
risk (in deliveryConditions in metalPhysicalLeg) | "Risk of loss" may also be used, equivalently, on confirmation documents.
Type: | CommodityDeliveryRisk
Content: | simple, 1 attribute
Defined: | locally witnin MetalDelivery complexType; see XML source
risk (in pipeline) | Specifies how the risk associated with the delivery is assigned.
Type: | CommodityDeliveryRisk
Content: | simple, 1 attribute
Defined: | locally witnin OilPipelineDelivery complexType; see XML source
riskPeriod | Used to determine how provisions in Part [7] Page 7 (B) Failure to Deliver Not Remedied are to be applied.
Type: | EEPRiskPeriod
Content: | complex, 2 elements
Defined: | locally witnin EEPParameters complexType; see XML source
sellerHub | The hub code of the has seller.
Type: | CommodityHub
Content: | complex, 2 elements
Defined: | locally witnin GasDelivery complexType; see XML source
sequence | Sequence in which the reference to the disruption fallback should be applied.
Type: | xsd:positiveInteger
Content: | simple
Defined: | locally witnin SequencedDisruptionFallback complexType; see XML source
settlementCurrency (defined in CommodityExercise complexType) | The currency into which the Commodity Option Transaction will settle.
Type: | IdentifiedCurrency
Content: | simple, 2 attributes
Defined: | locally witnin CommodityExercise complexType; see XML source
settlementCurrency (defined in CommoditySwapDetails.model group) | The currency into which the Commodity Swap Transaction will settle.
Type: | IdentifiedCurrency
Content: | simple, 2 attributes
Defined: | locally witnin CommoditySwapDetails.model group; see XML source
settlementDate (in bullionPhysicalLeg) | Date on which the bullion will settle.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin BullionPhysicalLeg complexType; see XML source
settlementLevel | The Settlement Level means either the cumulative number of Weather Index Units for each day in the Calculation Period (Cumulative) or the cumulative number of Weather Index Units for each day in the Calculation Period divided by the number of days in the Calculation Period (Average) or the maximum number of Weather Index Units for any day in the Calculation Period (Maximum) or the minimum number of Weather Index Units for any day in the Calculation Period.
Type: | WeatherSettlementLevelEnum
Content: | simple
Defined: | locally witnin WeatherLegCalculation complexType; see XML source
settlementPeriodsPrice | For an electricity transaction, the fixed price for one or more groups of Settlement Periods on which fixed payments are based.
Type: | SettlementPeriodsFixedPrice
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin CommodityFixedPrice.model group; see XML source
source | The SCoTA cargo origin, mining region, mine(s), mining complex(es), loadout(s) or river dock(s) or other point(s) of origin that Seller and Buyer agree are acceptable origins for the Coal Product.
Type: | CoalProductSource
Content: | simple, 1 attribute
Defined: | locally witnin CoalProduct complexType; see XML source
spread (defined in FloatingLegCalculation complexType) | The spread over or under the Commodity Reference Price for this leg of the trade.
Type: | CommoditySpread
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin FloatingLegCalculation complexType; see XML source
spreadConversionFactor | spreadConversionFactor should be used when the unit of measure of the Commodity Reference Price and the unit of measure in which the spread is quoted are different.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin CommoditySpread complexType; see XML source
spreadPercentage | The spread percentage over or under the Commodity Reference Price for this leg of the trade.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin FloatingLegCalculation complexType; see XML source
spreadUnit | spreadUnit should be used when the unit of measure of the Commodity Reference Price and the unit of measure in which the spread is quoted are different.
Type: | QuantityUnit
Content: | simple, 1 attribute
Defined: | locally witnin CommoditySpread complexType; see XML source
startDate (in riskPeriod) |
Type: | xsd:date
Content: | simple
Defined: | locally witnin EEPRiskPeriod complexType; see XML source
startYear | The first year of the Compliance Period.
Type: | xsd:gYear
Content: | simple
Defined: | locally witnin EnvironmentalProductComplaincePeriod complexType; see XML source
strikePricePerUnit | The currency amount of the strike price per unit.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityStrikePrice.model group; see XML source
supplyEndTime | The time at which gas delivery should end on each day of the Delivery Period(s).
Type: | PrevailingTime
Content: | complex, 2 elements
Defined: | locally witnin GasDeliveryPeriods complexType; see XML source
supplyStartTime | The time at which gas delivery should start on each day of the Delivery Period(s).
Type: | PrevailingTime
Content: | complex, 2 elements
Defined: | locally witnin GasDeliveryPeriods complexType; see XML source
systemFirm | Indicates that the electricity is intended to be supplied from the owned or controlled generation or pre-existing purchased power assets of the system specified.
Type: | ElectricityDeliverySystemFirm
Content: | complex, 1 element
Defined: | locally witnin ElectricityDeliveryType complexType; see XML source
terminationDate (defined in CommoditySwapDetails.model group) | Specifies the termination date of this leg of the swap.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommoditySwapDetails.model group; see XML source
terminationDate (in commodityOption) | Specifies the termination date of the Commodity Option Transaction.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityOptionFeatures.model group; see XML source
totalNotionalQuantity | The Total Notional Quantity.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin CommodityNotionalQuantity.model group; see XML source
totalPhysicalQuantity (defined in CommodityFixedPhysicalQuantity.model group) | The Total Quantity of the commodity to be delivered.
Type: | UnitQuantity
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityFixedPhysicalQuantity.model group; see XML source
totalPhysicalQuantity (in deliveryQuantity in electricityPhysicalLeg) | The Total Quantity of the commodity to be delivered.
Type: | UnitQuantity
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin ElectricityPhysicalQuantity complexType; see XML source
totalPrice (in fixedLeg in commodityForward) | The total amount of the fixed payment for all units of the underlying commodity.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin NonPeriodicFixedPriceLeg complexType; see XML source
totalPrice (in fixedLeg) | The total amount of all fixed payments due during the term of the trade.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityFixedPrice.model group; see XML source
trackingSystem | Applies to U.S.
Type: | EnvironmentalTrackingSystem
Content: | simple, 1 attribute
Defined: | locally witnin EnvironmentalProduct complexType; see XML source
transfer | Specified the delivery conditions where the oil product is to be delivered by title transfer.
Type: | OilTransferDelivery
Content: | complex, 1 element
Defined: | locally witnin OilDelivery complexType; see XML source
type (in coal) | The type of coal product to be delivered by reference to a pre-defined specification.
Type: | CoalProductType
Content: | simple, 1 attribute
Defined: | locally witnin CoalProduct complexType; see XML source
type (in electricity) | The type of electricity product to be delivered.
Type: | ElectricityProductTypeEnum
Content: | simple
Defined: | locally witnin ElectricityProduct complexType; see XML source
type (in gas) | The type of gas to be delivered.
Type: | GasProductTypeEnum
Content: | simple
Defined: | locally witnin GasProduct complexType; see XML source
type (in oil) | The type of oil product to be delivered.
Type: | OilProductType
Content: | simple, 1 attribute
Defined: | locally witnin OilProduct complexType; see XML source
unit | Weather Index Unit derived from one of the following variable methods of determination: Cooling Degree Day (CDD), Heating Degree Day (HDD), Critical Precipitation Day (CPD) as defined in Section 11.15 of the 2005 ISDA Commodity Definitions and User Guide.
Type: | QuantityUnit
Content: | simple, 1 attribute
Defined: | locally witnin WeatherIndex complexType; see XML source
unitFirm | Indicates that the electricity is intended to be supplied from a generation asset which can optionally be specified.
Type: | ElectricityDeliveryUnitFirm
Content: | complex, 1 element
Defined: | locally witnin ElectricityDeliveryType complexType; see XML source
valueDate (in commodityForward) | Specifies the value date of the Commodity Forward Transaction.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityForward complexType; see XML source
vintage | Applies to U.S.
Type: | xsd:gYear
Content: | simple
Defined: | locally witnin EnvironmentalProduct complexType; see XML source
weatherCalculationPeriods |
Type: | WeatherCalculationPeriods
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin WeatherCalculationPeriod.model group; see XML source
weatherIndexData (in commodityOption) | Specifies where the data (e.g.
Type: | WeatherIndexData
Content: | complex, 1 element
Defined: | locally witnin CommodityWeatherOption.model group; see XML source
weatherIndexData (in weatherLeg) | Specifies where the data (e.g.
Type: | WeatherIndexData
Content: | complex, 1 element
Defined: | locally witnin WeatherLeg complexType; see XML source
weatherIndexLevel | Defining the Weather Index Level or Weather Index Strike Level.
Type: | WeatherIndex
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin WeatherLeg complexType; see XML source
weatherIndexStrikeLevel | Weather Index strike price level is specified in terms of weather index units (e.g. 1 Days, 3 Inches, etc.)
Type: | WeatherIndex
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityWeatherOption.model group; see XML source
weatherLeg | A weather leg element of a Commodity Swap defines Weather Index Swap transactions.
Type: | WeatherLeg
Content: | complex, 1 attribute, 5 elements
Defined: | locally witnin CommoditySwapDetails.model group; see XML source
weatherNotionalAmount (in commodityOption) |
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityWeatherOption.model group; see XML source
weatherNotionalAmount (in weatherLeg) | Defines the price per weather index unit.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin WeatherLeg complexType; see XML source
withdrawalPoint | The location at which the transfer of the title to the commodity takes place.
Type: | CommodityDeliveryPoint
Content: | simple, 1 attribute
Defined: | locally witnin OilPipelineDelivery complexType; see XML source
worldscaleRate | For a WET Voyager Charter Commodity Swap, the number of Worldscale Points for purposes of the calculation of a Fixed Amount.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin CommodityFixedPrice.model group; see XML source

Complex Type Summary
AveragePriceLeg | The average price leg of an average price commodity bullion or non-precious metal forward transaction.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
BullionDeliveryLocation | A scheme defining where bullion is to be delivered for a Bullion Transaction.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
BullionPhysicalLeg | Physically settled leg of a physically settled Bullion Transaction.
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
CoalDelivery | The physical delivery conditions for coal.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CoalDeliveryPoint | A scheme identifying the types of the Delivery Point for a physically settled coal trade.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CoalPhysicalLeg | Physically settled leg of a physically settled coal transaction.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
CoalProduct | A type defining the characteristics of the coal being traded in a physically settled gas transaction.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CoalProductSource | A scheme identifying the sources of coal for a physically settled coal trade.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CoalProductType | A scheme identifying the types of coal for a physically settled coal trade.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CommodityAmericanExercise | A type for defining exercise procedures associated with an American style exercise of a commodity option.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CommodityCalculationPeriodsSchedule | A parametric representation of the Calculation Periods for on Asian option or a leg of a swap.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 3 locations
CommodityDeliveryPeriods | The different options for specifying the Delivery Periods of a physical leg.
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 1 location
CommodityDeliveryPoint | A scheme identifying the types of the Delivery Point for a physically settled commodity trade.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 5 locations
CommodityDeliveryRisk | A scheme identifying how the parties to the trade aportion responsibility for the delivery of the commodity product (for example Free On Board, Cost, Insurance, Freight)
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 3 locations
CommodityEuropeanExercise | A type for defining exercise procedures associated with a European style exercise of a commodity option.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CommodityExercise | The parameters for defining how the commodity option can be exercised, how it is priced and how it is settled.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations
CommodityExercisePeriods |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CommodityForward | Commodity Forward
Content: | complex, 1 attribute, 9 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
CommodityForwardLeg | Abstract base class for all commodity forward legs
Content: | empty, 1 attribute
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Used: | at 2 locations
CommodityFrequencyType | Frequency Type for use in Pricing Date specifications.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CommodityHub | A type defining a hub or other reference for a physically settled commodity trade.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
CommodityHubCode | A scheme identifying the code for a hub or other reference for a physically settled commodity trade.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CommodityMetalGrade |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CommodityMetalShape |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | never
CommodityMultipleExercise | A type for defining the multiple exercise provisions of an American style commodity option.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
CommodityNotionalQuantity | Commodity Notional.
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 3 locations
CommodityOption | Defines a commodity option product type.
Content: | complex, 1 attribute, 27 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CommodityPayRelativeToEvent | A scheme identifying the physical event relative to which payment occurs.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | never
CommodityPhysicalAmericanExercise | The parameters for defining the expiration date(s) and time(s) for an American style option.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CommodityPhysicalEuropeanExercise | The parameters for defining the expiration date(s) and time(s) for a European style option.
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
CommodityPhysicalExercise | The parameters for defining how the physically-settled commodity option can be exercised and how it is settled.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
CommodityPhysicalQuantity | A type defining the physical quantity of the commodity to be delivered.
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Used: | at 2 locations
CommodityPhysicalQuantityBase | An abstract base class for physical quantity types.
Content: | empty, 1 attribute
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 3 locations
CommodityPipeline | The pipeline through which the physical commodity will be delivered.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CommodityPipelineCycle | The pipeline cycle during which the physical commodity will be delivered.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | never
CommodityPremium | The commodity option premium payable by the buyer to the seller.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
CommodityPricingDates | The dates on which prices are observed for the underlyer.
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 2 locations
CommodityProductGrade | A scheme identifying the grade of physical commodity product to be delivered.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CommodityQuantityFrequency | A type for defining the frequency at which the Notional Quantity is deemed to apply for purposes of calculating the Total Notional Quantity.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CommoditySpread |
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CommoditySwap | The commodity swap product model is designed to support fixed-float swaps, float-float swaps, fixed vs. physical swaps, float vs. physical swaps as well as, weather specific swaps.
Content: | complex, 1 attribute, 10 elements
Defined: | globally; see XML source
Used: | at 1 location
CommoditySwapLeg | Abstract base class for all commodity swap legs
Content: | empty, 1 attribute
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Used: | at 5 locations
CommoditySwaption | Commodity Swaption.
Content: | complex, 1 attribute, 9 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
CommoditySwaptionUnderlying |
Content: | complex, 5 elements
Defined: | globally; see XML source
Used: | at 1 location
DataProvider | Specify as applicable.
Content: | simple, 2 attributes
Defined: | globally; see XML source
Includes: | definitions of 2 attributes
Used: | never
DisruptionFallback | A Disruption Fallback.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
EEPParameters | Excess Emission Penalty related parameters.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | never
EEPRiskPeriod | TBD.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
ElectricityDelivery | The physical delivery conditions for electricity.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
ElectricityDeliveryFirm | The physical delivery obligation options specific to a firm transaction.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
ElectricityDeliveryPoint | A scheme identifying the types of the Delivery Point for a physically settled electricity trade.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
ElectricityDeliverySystemFirm | The physical delivery obligation options specific to a system firm transaction.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
ElectricityDeliveryType |
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
ElectricityDeliveryUnitFirm | The physical delivery obligation options specific to a unit firm transaction.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
ElectricityPhysicalLeg | Physically settled leg of a physically settled electricity transaction.
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
ElectricityPhysicalQuantity | The quantity of gas to be delivered.
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
ElectricityProduct | The specification of the electricity to be delivered.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
EnvironmentalPhysicalLeg |
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
EnvironmentalProduct | A type defining the characteristics of the environmental allowance or credit being traded.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
EnvironmentalProductApplicableLaw | TBD.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
EnvironmentalProductComplaincePeriod |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
EnvironmentalTrackingSystem | For US Emissions Allowance Transactions.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
FinancialSwapLeg | The common components of a financially settled leg of a Commodity Swap.
Content: | empty, 1 attribute
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Used: | at 3 locations
FixedPrice | A type defining the Fixed Price.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 4 locations
FixedPriceLeg | Fixed Price Leg of a Commodity Swap.
Content: | complex, 1 attribute, 10 elements
Defined: | globally; see XML source
Used: | at 1 location
FloatingLegCalculation | A type to capture details relevant to the calculation of the floating price.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 3 locations
FloatingPriceLeg | Floating Price Leg of a Commodity Swap.
Content: | complex, 1 attribute, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
FloatingStrikePrice |
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
GasDelivery | The specification of the gas to be delivered.
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
GasDeliveryPeriods | The different options for specifying the Delivery Periods for a physically settled gas trade.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
GasDeliveryPoint | A scheme identifying the types of the Delivery Point for a physically settled gas trade.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
GasPhysicalLeg | Physically settled leg of a physically settled gas transaction.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
GasPhysicalQuantity | The quantity of gas to be delivered.
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Used: | at 1 location
GasProduct | A type defining the characteristics of the gas being traded in a physically settled gas transaction.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
InterconnectionPoint | Identification of the border(s) or border point(s) of a transportation contract.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 3 locations
Material | A scheme identifying the types of metal product for a physically settled metal trade.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
Metal | A type defining the characteristics of the metal product being traded in a physically settled metal transaction.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
MetalDelivery | The physical delivery conditions for the transaction.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
MetalPhysicalLeg | Physically settled leg of a physically settled Metal transaction.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
NonPeriodicFixedPriceLeg | The details of a fixed payment.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
OilDelivery | The physical delivery conditions for an oil product.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
OilPhysicalLeg | Physically settled leg of a physically settled oil product transaction.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
OilPipelineDelivery | The physical delivery conditions specific to an oil product delivered by pipeline.
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location
OilProduct | The specification of the oil product to be delivered.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
OilProductType | The type of physical commodity product to be delivered.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
OilTransferDelivery | The physical delivery conditions specific to an oil product delivered by title transfer.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
PhysicalForwardLeg | The common components of a physically settled leg of a Commodity Forward.
Content: | empty, 1 attribute
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Used: | at 2 locations
PhysicalSwapLeg | The common components of a physically settled leg of a Commodity Swap.
Content: | empty, 1 attribute
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Used: | at 5 locations
ReferenceLevel |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
ReferenceLevelUnit | CPD Reference Level: millimeters or inches of daily precipitation HDD Reference Level: degree-days CDD Reference Level: degree-days.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
SequencedDisruptionFallback | A Disruption Fallback with the sequence in which it should be applied relative to other Disruption Fallbacks.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
SettlementPeriodsFixedPrice | A type defining the Fixed Price applicable to a range or ranges of Settlement Periods.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Used: | at 1 location
UnitQuantity | A quantity and associated unit.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 3 locations
WeatherCalculationPeriod | The schedule of Calculation Period First Days and Lasts Days.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
WeatherCalculationPeriods | The schedule of Calculation Period First Days and Lasts Days.
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 1 location
WeatherIndex | A type defining the Weather Index Level or Weather Index Strike Level.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 2 locations
WeatherIndexData |
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
WeatherLeg | A weather leg of a Commodity Swap defines Weather Index Swap transactions.
Content: | complex, 1 attribute, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
WeatherLegCalculation | A type to capture details of the calculation of the Payment Amount on a Weather Index Transaction.
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations

Element Group Summary
CommodityAsian.model | Model group containing features specific to asian/averaging commodity options.
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
CommodityCalculationPeriods.model | The different options for specifying the Calculation Periods.
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
CommodityDeliveryPoints.model | A Delivery Point, applicable to physically settled commodity transactions.
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
CommodityFinancialOption.model | Items specific to financially-settled commodity options.
Content: | 11 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CommodityFixedPhysicalQuantity.model | The different options for specifying a fixed physical quantity of commodity to be delivered.
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 4 locations
CommodityFixedPrice.model | The different options for specifying the Fixed Price.
Content: | 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location
CommodityFloatingStrikePrice.model | The different options for specifying the average strike price per unit.
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
CommodityFreightFlatRate.model | The Flat Rate, applicable to Wet Voyager Charter Freight Swaps.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CommodityNonPeriodicPaymentDates.model | The different options for specifying the Payment Date.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
CommodityNotionalQuantity.model | The different options for specifying the Notional Quantity.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 3 locations
CommodityOptionFeatures.model | Describes additional features within the option.
Content: | 5 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CommodityPhysicalOption.model | Items specific to financially-settled commodity options.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CommodityStrikePrice.model | The different options for specifying the Strike price per unit.
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
CommoditySwapDetails.model |
Content: | 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations
CommodityUSCoalDelivery.model | Items specific to the definition of the delivery of a US Coal Product.
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
CommodityWeatherOption.model | Described Weather Index Option component.
Content: | 7 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location
Price.model | Price model group.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
PricingDays.model | The different options for specifying which days are pricing days within a pricing period.
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
WeatherCalculationPeriod.model | Descriptions of a calculation period.
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2013 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="trnsp" ecore:package="org.fpml.transparency" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/transparency" version="$Revision: 10138 $" xmlns="http://www.fpml.org/FpML-5/transparency" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <!--IY: ETTF pretrade IRS and CDS--> <xsd:include schemaLocation="fpml-option-shared-5-5.xsd"/> <!--View Generation: SKIPPED AbsoluteTolerance - Documentation--> <xsd:complexType name="AveragePriceLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> The average price leg of an average price commodity bullion or non-precious metal forward transaction. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="CommoditySwapLeg"> <xsd:sequence> <!--View Generation: SKIPPED - PartySpecific--> <!--View Generation: SKIPPED - Documentation--> <xsd:element ref="commodity"/> <!--View Generation: SKIPPED quantityReference - Other-represented elsewhere--> <xsd:element minOccurs="0" name="pricingStartDate" type="AdjustableDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines the Start of the Pricing period. PricingStartDate is optional when discrete pricingDates are supplied and is not recommended to be included. Should they coexist, pricingStartDate is expected to be the same as the earliest pricing date or earlier for a Term deal as the discrete dates will take precedence. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="calculation" type="FloatingLegCalculation"> <xsd:annotation> <xsd:documentation xml:lang="en"> Captures details relevant to the calculation of the floating price. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="BullionDeliveryLocation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A scheme defining where bullion is to be delivered for a Bullion Transaction. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/bullion-delivery-location" name="bullionDeliveryLocationScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="BullionPhysicalLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> Physically settled leg of a physically settled Bullion Transaction. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PhysicalForwardLeg"> <xsd:sequence> <xsd:element name="bullionType" type="BullionTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The type of Bullion underlying a Bullion Transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="deliveryLocation" type="BullionDeliveryLocation"> <xsd:annotation> <xsd:documentation xml:lang="en"> The physical delivery location for the transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="CommodityFixedPhysicalQuantity.model"/> <xsd:element minOccurs="0" name="settlementDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en">Date on which the bullion will settle.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!--View Generation: SKIPPED CalculationPeriodsDatesReference - Reference--> <!--View Generation: SKIPPED CalculationPeriodsReference - Reference--> <!--View Generation: SKIPPED CalculationPeriodsScheduleReference - Reference--> <!--View Generation: SKIPPED CoalAttributeDecimal - Documentation--> <!--View Generation: SKIPPED CoalAttributePercentage - Documentation--> <xsd:complexType name="CoalDelivery"> <xsd:annotation> <xsd:documentation xml:lang="en">The physical delivery conditions for coal.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice> <xsd:element name="deliveryPoint" type="CoalDeliveryPoint"> <xsd:annotation> <xsd:documentation xml:lang="en"> The point at which the Coal Product will be delivered and received. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="deliveryAtSource" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> The point at which the Coal Product as a reference to the Source of the Coal Product. This should be a reference to the source element within product. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:group minOccurs="0" ref="CommodityUSCoalDelivery.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Additional delivery details for U.S. Coal transactions. </xsd:documentation> </xsd:annotation> </xsd:group> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CoalDeliveryPoint"> <xsd:annotation> <xsd:documentation xml:lang="en"> A scheme identifying the types of the Delivery Point for a physically settled coal trade. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="deliveryPointScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CoalPhysicalLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> Physically settled leg of a physically settled coal transaction. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PhysicalSwapLeg"> <xsd:sequence> <!--View Generation: SKIPPED deliveryPeriods - Documentation--> <xsd:element name="coal" type="CoalProduct"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specification of the Coal Product to be delivered. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="deliveryConditions" type="CoalDelivery"> <xsd:annotation> <xsd:documentation xml:lang="en"> The physical delivery conditions for the transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="deliveryQuantity" type="CommodityPhysicalQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying the quantity. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CoalProduct"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the characteristics of the coal being traded in a physically settled gas transaction. </xsd:documentation> </xsd:annotation> <xsd:sequence> <!--View Generation: Removed a degenerate choice.--> <xsd:element name="type" type="CoalProductType"> <xsd:annotation> <xsd:documentation xml:lang="en"> The type of coal product to be delivered by reference to a pre-defined specification. For contracts under SCoTA terms this is the quality specification code (e.g. "DES ARA") </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" name="source" type="CoalProductSource"> <xsd:annotation> <xsd:documentation xml:lang="en"> The SCoTA cargo origin, mining region, mine(s), mining complex(es), loadout(s) or river dock(s) or other point(s) of origin that Seller and Buyer agree are acceptable origins for the Coal Product. For International Coal transactions, this is the Origin of the Coal Product. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED sCoTASpecifications - Documentation--> <!--View Generation: SKIPPED - Documentation--> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CoalProductSource"> <xsd:annotation> <xsd:documentation xml:lang="en"> A scheme identifying the sources of coal for a physically settled coal trade. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/commodity-coal-product-source" name="commodityCoalProductSourceScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <!--View Generation: SKIPPED CoalProductSpecifications - Documentation--> <xsd:complexType name="CoalProductType"> <xsd:annotation> <xsd:documentation xml:lang="en"> A scheme identifying the types of coal for a physically settled coal trade. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/commodity-coal-product-type" name="commodityCoalProductTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <!--View Generation: SKIPPED CoalQualityAdjustments - Documentation--> <!--View Generation: SKIPPED CoalStandardQuality - Documentation--> <!--View Generation: SKIPPED CoalStandardQualitySchedule - Documentation--> <!--View Generation: SKIPPED CoalTransportationEquipment - Documentation--> <xsd:complexType name="CommodityAmericanExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining exercise procedures associated with an American style exercise of a commodity option. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Exercise"> <xsd:sequence> <!--View Generation: SKIPPED exercisePeriod - Technical--> <xsd:sequence> <xsd:annotation> <xsd:documentation xml:lang="en">Option Strip</xsd:documentation> </xsd:annotation> <xsd:element maxOccurs="unbounded" name="exercisePeriod" type="CommodityExercisePeriods"> <xsd:annotation> <xsd:documentation xml:lang="en">Describes the American exercise periods.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="exerciseFrequency" type="Frequency"> <xsd:annotation> <xsd:documentation xml:lang="en">The exercise frequency for the strip.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <!--View Generation: Skipped an empty choice.--> <!--View Generation: SKIPPED expirationTime - Documentation--> <!--View Generation: SKIPPED multipleExercise - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CommodityCalculationPeriodsSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> A parametric representation of the Calculation Periods for on Asian option or a leg of a swap. In case the calculation frequency is of value T (term), the period is defined by the commoditySwap\effectiveDate and the commoditySwap\terminationDate. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Frequency"> <xsd:sequence> <xsd:element minOccurs="0" name="balanceOfFirstPeriod" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> If true, indicates that that the first Calculation Period should run from the Effective Date to the end of the calendar period in which the Effective Date falls, e.g. Jan 15 - Jan 31 if the calculation periods are one month long and Effective Date is Jan 15. If false, the first Calculation Period should run from the Effective Date for one whole period, e.g. Jan 15 to Feb 14 if the calculation periods are one month long and Effective Date is Jan 15. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CommodityDeliveryPeriods"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying the Delivery Periods of a physical leg. </xsd:documentation> </xsd:annotation> <xsd:choice> <!--View Generation: SKIPPED periods - Documentation--> <xsd:element name="periodsSchedule" type="CommodityCalculationPeriodsSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> The Delivery Periods for this leg of the swap. This type is only intended to be used if the Delivery Periods differ from the Calculation Periods on the fixed or floating leg. If DeliveryPeriods mirror another leg, then the calculationPeriodsReference element should be used to point to the Calculation Periods on that leg - or the calculationPeriodsScheduleReference can be used to point to the Calculation Periods Schedule for that leg. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED - References--> </xsd:choice> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="CommodityDeliveryPoint"> <xsd:annotation> <xsd:documentation xml:lang="en"> A scheme identifying the types of the Delivery Point for a physically settled commodity trade. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="deliveryPointScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CommodityDeliveryRisk"> <xsd:annotation> <xsd:documentation xml:lang="en"> A scheme identifying how the parties to the trade aportion responsibility for the delivery of the commodity product (for example Free On Board, Cost, Insurance, Freight) </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/commodity-delivery-risk" name="deliveryRiskScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CommodityEuropeanExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining exercise procedures associated with a European style exercise of a commodity option. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Exercise"> <xsd:sequence> <!--View Generation: SKIPPED expirationDate - Technical--> <xsd:sequence> <xsd:annotation> <xsd:documentation xml:lang="en">Option Strip</xsd:documentation> </xsd:annotation> <xsd:element maxOccurs="unbounded" name="expirationDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The last day within an exercise period for an American style option. For a European style option it is the only day within the exercise period. For an averaging option this is equivalent to the Termination Date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="exerciseFrequency" type="Frequency"> <xsd:annotation> <xsd:documentation xml:lang="en">The exercise frequency for the strip.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <!--View Generation: SKIPPED expirationTime - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CommodityExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parameters for defining how the commodity option can be exercised, how it is priced and how it is settled. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice> <xsd:element name="americanExercise" type="CommodityAmericanExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parameters for defining the expiration date for an American option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="europeanExercise" type="CommodityEuropeanExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parameters for defining the expiration date and time for a European or Asian style option. For an Asian style option the expiration date is equivalent to the termination date. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <!--View Generation: SKIPPED automaticExercise - Documentation--> <!--View Generation: SKIPPED writtenConfirmation - Documentation--> <xsd:element minOccurs="0" name="settlementCurrency" type="IdentifiedCurrency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The currency into which the Commodity Option Transaction will settle. If this is not the same as the currency in which the Commodity Reference Price is quoted, then an FX determination method should also be specified. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED fx - NonStandardFeature--> <!--View Generation: SKIPPED conversionFactor - Documentation--> <!--View Generation: SKIPPED - NonStandardFeature--> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CommodityExercisePeriods"> <xsd:sequence> <xsd:element name="commencementDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The first day of the exercise period for an American style option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="expirationDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The last day within an exercise period for an American style option. For a European style option it is the only day within the exercise period. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED CommodityExpireRelativeToEvent - NonStandardFeature--> <!--View Generation: SKIPPED CommodityFixedPriceSchedule - NonStandardFeature--> <xsd:complexType name="CommodityForward"> <xsd:annotation> <xsd:documentation xml:lang="en">Commodity Forward</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element minOccurs="0" name="valueDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the value date of the Commodity Forward Transaction. This is the day on which both the cash and the physical commodity settle. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice> <xsd:element name="fixedLeg" type="NonPeriodicFixedPriceLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">The fixed leg of a Commodity Forward Transaction.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="averagePriceLeg" type="AveragePriceLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the calculated floating price leg of a Commodity Forward Transaction. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element ref="commodityForwardLeg"/> <!--View Generation: SKIPPED - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="CommodityForwardLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> Abstract base class for all commodity forward legs </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Leg"/> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CommodityFrequencyType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Frequency Type for use in Pricing Date specifications. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/commodity-frequency-type" name="commodityFrequencyTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <!--View Generation: SKIPPED CommodityFx - NonStandardFeature--> <!--View Generation: SKIPPED CommodityFxType - NonStandardFeature--> <xsd:complexType name="CommodityHub"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a hub or other reference for a physically settled commodity trade. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="PartyAndAccountReferences.model"/> <xsd:element minOccurs="0" name="hubCode" type="CommodityHubCode"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CommodityHubCode"> <xsd:annotation> <xsd:documentation xml:lang="en"> A scheme identifying the code for a hub or other reference for a physically settled commodity trade. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="hubCodeScheme" type="xsd:anyURI" use="required"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <!--View Generation: SKIPPED CommodityMarketDisruption - Documentation--> <!--View Generation: SKIPPED CommodityMetalBrand - Documentation--> <!--View Generation: SKIPPED CommodityMetalBrandManager - Documentation--> <!--View Generation: SKIPPED CommodityMetalBrandName - Documentation--> <xsd:complexType name="CommodityMetalGrade"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="commodityMetalGradeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <!--View Generation: SKIPPED CommodityMetalProducer - Documentation--> <xsd:complexType name="CommodityMetalShape"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/commodity-metal-shape" name="commodityMetalShapeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CommodityMultipleExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining the multiple exercise provisions of an American style commodity option. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="integralMultipleQuantity" type="CommodityNotionalQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en"> The integral multiple quantity defines a lower limit of the Notional Quantity that can be exercised and also defines a unit multiple of the Notional Quantity that can be exercised, i.e. only integer multiples of this Notional Quantity can be exercised. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="minimumNotionalQuantity" type="CommodityNotionalQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en"> The minimum Notional Quantity that can be exercised on a given Exercise Date. See multipleExercise. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CommodityNotionalQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en">Commodity Notional.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="quantityUnit" type="QuantityUnit"> <xsd:annotation> <xsd:documentation xml:lang="en"> Quantity Unit is the unit of measure applicable for the quantity on the Transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED quantityFrequency - Other-represented by total quantity--> <!--View Generation: SKIPPED quantity - Other-represented by total quantity--> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <!--View Generation: SKIPPED CommodityNotionalQuantitySchedule - Other-represented elsewhere--> <xsd:complexType name="CommodityOption"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines a commodity option product type. The product support for financially-settled exercises or exercise into physical forward contracts written on precious and non-precious metals. options in FpML is based on the creation of a 'commodityOption' product. The product references the 'commodity' underlyer in order to support the underlying asset of the option. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <!--View Generation: SKIPPED - PartySpecific--> <xsd:element name="optionType" type="PutCallEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">The type of option transaction.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice> <xsd:group ref="CommodityFinancialOption.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Items specific to financially-settled commodity options. </xsd:documentation> </xsd:annotation> </xsd:group> <xsd:group ref="CommodityPhysicalOption.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Items specific to physically-settled commodity options. </xsd:documentation> </xsd:annotation> </xsd:group> <xsd:group ref="CommodityWeatherOption.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Described Weather Index Option component. Weather Index Option transactions are OTC derivative transactions which settle financially based on an index calculated from observations of temperature and precipitation at weather stations throughout the world. Sub-Annex C of the 2005 ISDA Commodity Definitions provides definitions and terms for a number of types of weather indices. These indices include: HDD (heating degree days), CDD (cooling degree days), CPD (critical precipitation days). Weather Index Option Transactions results in a cash flow to the buyer depending on the relationship between the Settlement Level to the Weather Index Strike Level. </xsd:documentation> </xsd:annotation> </xsd:group> </xsd:choice> <xsd:element maxOccurs="unbounded" name="premium" type="CommodityPremium"> <xsd:annotation> <xsd:documentation xml:lang="en"> The option premium payable by the buyer to the seller. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CommodityPayRelativeToEvent"> <xsd:annotation> <xsd:documentation xml:lang="en"> A scheme identifying the physical event relative to which payment occurs. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/commodity-pay-relative-to-event" name="commodityPayRelativeToEventScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CommodityPhysicalAmericanExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parameters for defining the expiration date(s) and time(s) for an American style option. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Exercise"> <xsd:sequence> <!--View Generation: Removed a degenerate choice.--> <xsd:sequence> <xsd:element name="commencementDates" type="AdjustableOrRelativeDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> The first day(s) of the exercise period(s) for an American-style option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="expirationDates" type="AdjustableOrRelativeDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> The Expiration Date(s) of an American-style option. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <!--View Generation: SKIPPED latestExerciseTime - Documentation--> <!--View Generation: SKIPPED expirationTime - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CommodityPhysicalEuropeanExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parameters for defining the expiration date(s) and time(s) for a European style option. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Exercise"> <xsd:sequence> <!--View Generation: Removed a degenerate choice.--> <xsd:element name="expirationDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The Expiration Date of a single expiry European-style option or the first Expiration Date of a multiple expiry or daily expiring option. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED expirationTime - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CommodityPhysicalExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parameters for defining how the physically-settled commodity option can be exercised and how it is settled. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice> <xsd:element name="americanExercise" type="CommodityPhysicalAmericanExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parameters for defining the expiration date(s) and time(s) for an American style option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="europeanExercise" type="CommodityPhysicalEuropeanExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parameters for defining the expiration date(s) and time(s) for a European style option. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <!--View Generation: SKIPPED automaticExercise - NonStandardFeature--> <!--View Generation: SKIPPED writtenConfirmation - NonStandardFeature--> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CommodityPhysicalQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the physical quantity of the commodity to be delivered. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="CommodityPhysicalQuantityBase"> <xsd:sequence> <xsd:group ref="CommodityFixedPhysicalQuantity.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="CommodityPhysicalQuantityBase"> <xsd:annotation> <xsd:documentation xml:lang="en"> An abstract base class for physical quantity types. </xsd:documentation> </xsd:annotation> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <!--View Generation: SKIPPED CommodityPhysicalQuantitySchedule - Unsupported--> <xsd:complexType name="CommodityPipeline"> <xsd:annotation> <xsd:documentation xml:lang="en"> The pipeline through which the physical commodity will be delivered. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="pipelineScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CommodityPipelineCycle"> <xsd:annotation> <xsd:documentation xml:lang="en"> The pipeline cycle during which the physical commodity will be delivered. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="pipelineCycleScheme" type="xsd:anyURI" use="required"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CommodityPremium"> <xsd:annotation> <xsd:documentation xml:lang="en"> The commodity option premium payable by the buyer to the seller. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="NonNegativePayment"> <xsd:sequence> <xsd:element minOccurs="0" name="premiumPerUnit" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en"> The currency amount of premium to be paid per Unit of the Total Notional Quantity. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CommodityPricingDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> The dates on which prices are observed for the underlyer. </xsd:documentation> </xsd:annotation> <xsd:sequence> <!--View Generation: SKIPPED - Documentation--> <!--View Generation: Removed a degenerate choice.--> <xsd:sequence> <!--View Generation: SKIPPED lag - Standardized--> <!--View Generation: Removed a degenerate choice.--> <xsd:sequence> <xsd:group ref="PricingDays.model"/> <!--View Generation: SKIPPED businessCalendar - DateAdjustments--> <xsd:element minOccurs="0" name="calendarSource" type="CalendarSourceEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> Used in conjunction with an exchange-based pricing source. Identifies a date source calendar from which the pricing dates and thus roll to the next contract will be based off (e.g. pricing is based on the NYMEX WTI First Nearby Futures Contract, if &#8220;Future&#8221; is chosen, the pricing will roll to the next futures contract on expiration, if &#8220;ListedOption&#8221; is chosen, the pricing will roll to the next futures contract on the Option expiration date which is three business days before the expiration of the NYMEX WTI futures contract.) Omitting this element will result in the default behavior expected with the pricing source described within the commodity element. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:sequence> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="CommodityProductGrade"> <xsd:annotation> <xsd:documentation xml:lang="en"> A scheme identifying the grade of physical commodity product to be delivered. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/commodity-oil-product-grade" name="productGradeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CommodityQuantityFrequency"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining the frequency at which the Notional Quantity is deemed to apply for purposes of calculating the Total Notional Quantity. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/commodity-quantity-frequency" name="quantityFrequencyScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <!--View Generation: SKIPPED CommodityRelativeExpirationDates - NonStandardFeature--> <!--View Generation: SKIPPED CommodityRelativePaymentDates - References--> <!--View Generation: SKIPPED CommoditySettlementPeriodsNotionalQuantity - Unsupported--> <!--View Generation: SKIPPED CommoditySettlementPeriodsNotionalQuantitySchedule - Unsupported--> <!--View Generation: SKIPPED CommoditySettlementPeriodsPriceSchedule - Unsupported--> <xsd:complexType name="CommoditySpread"> <xsd:complexContent> <xsd:extension base="Money"> <xsd:sequence> <xsd:element minOccurs="0" name="spreadConversionFactor" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> spreadConversionFactor should be used when the unit of measure of the Commodity Reference Price and the unit of measure in which the spread is quoted are different. The value of spreadConversionFactor is the number of units of measure in which the spread is quoted per unit of measure of the Commodity Reference Price. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="spreadUnit" type="QuantityUnit"> <xsd:annotation> <xsd:documentation xml:lang="en"> spreadUnit should be used when the unit of measure of the Commodity Reference Price and the unit of measure in which the spread is quoted are different. The value of spreadUnit is the unit of measure in which the spread is quoted. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!--View Generation: SKIPPED CommoditySpreadSchedule - NonStandardFeature--> <!--View Generation: SKIPPED CommodityStrikeSchedule - Other-represented elsewhere--> <xsd:complexType name="CommoditySwap"> <xsd:annotation> <xsd:documentation xml:lang="en"> The commodity swap product model is designed to support fixed-float swaps, float-float swaps, fixed vs. physical swaps, float vs. physical swaps as well as, weather specific swaps. Its design is fully compatible with other FpML products and the product reuses standard common types. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:group ref="CommoditySwapDetails.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="CommoditySwapLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">Abstract base class for all commodity swap legs</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Leg"/> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CommoditySwaption"> <xsd:annotation> <xsd:documentation xml:lang="en">Commodity Swaption.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <!--View Generation: SKIPPED - PartySpecific--> <xsd:element name="optionType" type="PutCallEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">The type of option transaction.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="commoditySwap" type="CommoditySwaptionUnderlying"> <xsd:annotation> <xsd:documentation xml:lang="en">The underlying commodity swap definiton.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="physicalExercise" type="CommodityPhysicalExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parameters for defining how the commodity option can be exercised into a physical transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="premium" type="CommodityPremium"> <xsd:annotation> <xsd:documentation xml:lang="en"> The option premium payable by the buyer to the seller. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CommoditySwaptionUnderlying"> <xsd:sequence> <xsd:group ref="CommoditySwapDetails.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="DataProvider"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specify as applicable. Parties may wish to refer to the state meteorological authority in a particular location or to an exchange or other third party data provider. Parties may find the definitions in the Commodity Definitions useful as a means of identifying potential Data Providers. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/weather-data-provider" name="weatherDataProviderScheme" type="xsd:anyURI"/> <xsd:attribute name="id" type="xsd:ID"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="DisruptionFallback"> <xsd:annotation> <xsd:documentation xml:lang="en">A Disruption Fallback.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/commodity-market-disruption-fallback" name="commodityMarketDisruptionFallbackScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="EEPParameters"> <xsd:annotation> <xsd:documentation xml:lang="en">Excess Emission Penalty related parameters.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="eEPApplicable" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> If Excess Emission Penalty is specified to be applicable in the Confirmation then the Excess Emission Penalty will be determined in the manner specified in the Confirmation (see other EEP parameters) </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="riskPeriod" type="EEPRiskPeriod"> <xsd:annotation> <xsd:documentation xml:lang="en"> Used to determine how provisions in Part [7] Page 7 (B) Failure to Deliver Not Remedied are to be applied. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="equivalentApplicable" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> When "true" the EEP Equivalent is applicable. See Part [7] definition of EEP Equivalent. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="penaltyApplicable" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> When "true" the Excess Emissions Penalty is applicable. See Part [7] definition of Excess Emissions Penalty. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="EEPRiskPeriod"> <xsd:annotation> <xsd:documentation xml:lang="en">TBD.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="startDate" type="xsd:date"/> <xsd:element minOccurs="0" name="endDate" type="xsd:date"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ElectricityDelivery"> <xsd:annotation> <xsd:documentation xml:lang="en">The physical delivery conditions for electricity.</xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:sequence> <xsd:element name="deliveryPoint" type="ElectricityDeliveryPoint"> <xsd:annotation> <xsd:documentation xml:lang="en"> The point at which delivery of the electricity will occur. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="deliveryType" type="ElectricityDeliveryType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates the under what conditions the Parties' delivery obligations apply. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED transmissionContingency - Documentation--> <xsd:element minOccurs="0" name="interconnectionPoint" type="InterconnectionPoint"> <xsd:annotation> <xsd:documentation> Identification of the border(s) or border point(s) of a transportation contract. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:sequence> <xsd:annotation> <xsd:documentation xml:lang="en"> For EEI transactions, indicates that this transaction is for an "into" product. </xsd:documentation> </xsd:annotation> <xsd:element name="deliveryZone" type="CommodityDeliveryPoint"> <xsd:annotation> <xsd:documentation xml:lang="en"> The zone covering potential delivery points for the electricity. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED electingPartyReference - Documentation--> </xsd:sequence> </xsd:choice> </xsd:complexType> <xsd:complexType name="ElectricityDeliveryFirm"> <xsd:annotation> <xsd:documentation xml:lang="en"> The physical delivery obligation options specific to a firm transaction. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="forceMajeure" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> If true, indicates that the buyer and seller should be excused of their delivery obligations when such performance is prevented by Force Majeure. For EEI transactions, this would indicate "Firm (LD)" If false, indicates that the buyer and seller should not be excused of their delivery obligations when such performance is prevented by Force Majeure. For EEI transactions, this would indicate "Firm (No Force Majeure)" </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED ElectricityDeliveryPeriods - Documentation--> <xsd:complexType name="ElectricityDeliveryPoint"> <xsd:annotation> <xsd:documentation xml:lang="en"> A scheme identifying the types of the Delivery Point for a physically settled electricity trade. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="deliveryPointScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="ElectricityDeliverySystemFirm"> <xsd:annotation> <xsd:documentation xml:lang="en"> The physical delivery obligation options specific to a system firm transaction. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="applicable" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates that the trade is for a System Firm product. Should always be set to "true". </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED system - Documentation--> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ElectricityDeliveryType"> <xsd:choice> <xsd:element name="firm" type="ElectricityDeliveryFirm"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates under what condtitions the Parties' delivery obligations apply. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="nonFirm" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> If present and set to true, indicates that delivery or receipt of the electricity may be interrupted for any reason or for no reason, without liability on the part of either Party. This element should never have a value of false. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="systemFirm" type="ElectricityDeliverySystemFirm"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates that the electricity is intended to be supplied from the owned or controlled generation or pre-existing purchased power assets of the system specified. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="unitFirm" type="ElectricityDeliveryUnitFirm"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates that the electricity is intended to be supplied from a generation asset which can optionally be specified. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="ElectricityDeliveryUnitFirm"> <xsd:annotation> <xsd:documentation xml:lang="en"> The physical delivery obligation options specific to a unit firm transaction. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="applicable" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates that the trade is for a Unit Firm product. Should always be set to "true". </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED generationAsset - Documentation--> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED ElectricityPhysicalDeliveryQuantity - Other-quantity is represented by total quantity--> <!--View Generation: SKIPPED ElectricityPhysicalDeliveryQuantitySchedule - Other-quantity is represented by total quantity--> <xsd:complexType name="ElectricityPhysicalLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> Physically settled leg of a physically settled electricity transaction. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PhysicalSwapLeg"> <xsd:sequence> <!--View Generation: SKIPPED deliveryPeriods - Documentation--> <!--View Generation: SKIPPED settlementPeriods - Documentaion--> <!--View Generation: SKIPPED settlementPeriodsSchedule - References--> <xsd:element name="loadType" type="LoadTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> LoadType is a summary of the full description of the settlement periods with respect to the region. Used for describing Electricity delivery schedules (e.g. Base, Peak, Off-Peak, Custom). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="electricity" type="ElectricityProduct"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specification of the electricity to be delivered. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="deliveryConditions" type="ElectricityDelivery"> <xsd:annotation> <xsd:documentation xml:lang="en"> The physical delivery conditions for the transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="deliveryQuantity" type="ElectricityPhysicalQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying the quantity. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ElectricityPhysicalQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en">The quantity of gas to be delivered.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="CommodityPhysicalQuantityBase"> <xsd:sequence> <!--View Generation: Skipped an empty choice.--> <xsd:element name="totalPhysicalQuantity" type="UnitQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en"> The Total Quantity of the commodity to be delivered. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ElectricityProduct"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specification of the electricity to be delivered. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="type" type="ElectricityProductTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">The type of electricity product to be delivered.</xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED voltage - NonStandardFeature--> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED ElectricityTransmissionContingency - Documentation--> <!--View Generation: SKIPPED ElectricityTransmissionContingencyType - Documentation--> <xsd:complexType name="EnvironmentalPhysicalLeg"> <xsd:complexContent> <xsd:extension base="PhysicalSwapLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> The environmental physical leg describes the nature of the physical underlying, quantities and delivery conditions relating to environmental allowances and certificates such as EU emissions allowances, water pollution credits and the like. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="numberOfAllowances" type="UnitQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of allowances, certificates or credit to be transaction in the transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="environmental" type="EnvironmentalProduct"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specification of the type of allowance or credit. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="abandonmentOfScheme" type="EnvironmentalAbandonmentOfSchemeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> Applies to U.S. Emissions Allowance Transactions. Specifies terms which apply in the event of an Abandonment of Scheme event. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED deliveryDate - Standardized--> <!--View Generation: Skipped an empty sequence.--> <!--View Generation: SKIPPED failureToDeliverApplicable - Standardized--> <!--View Generation: SKIPPED eEPParameters - Standardized--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="EnvironmentalProduct"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the characteristics of the environmental allowance or credit being traded. Settlement of environmental transactions is classified as physical because settlement is accomplished through the exchange of one or more certificates (despite the fact that this exchange is almost always executed through electronic book entry transfer between the parties allowance accounts). </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="productType" type="EnvironmentalProductTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the type of environmental allowance or credit. Examples include allowances or credit issued by the European Union (E.U.) or by the State of California in the Unites States. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED compliancePeriod - Standardized--> <xsd:element maxOccurs="unbounded" minOccurs="0" name="vintage" type="xsd:gYear"> <xsd:annotation> <xsd:documentation xml:lang="en"> Applies to U.S. Emissions Allowance Transactions. The year(s) of the applicable Emissions Product(s) as specified in an Emissions Transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="applicableLaw" type="EnvironmentalProductApplicableLaw"> <xsd:annotation> <xsd:documentation xml:lang="en"> Applies to U.S. Emissions Allowance Transactions. Used to specify the Applicable Emissions Law when this is not defined in Emissions Product Definitions Exhibit. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="trackingSystem" type="EnvironmentalTrackingSystem"> <xsd:annotation> <xsd:documentation xml:lang="en"> Applies to U.S. Emissions Allowance Transactions. Used to specify the Tracking System when this is not defined in Emissions Product Definitions Exhibit. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="EnvironmentalProductApplicableLaw"> <xsd:annotation> <xsd:documentation xml:lang="en">TBD.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/governing-law" name="environmentalProductApplicableLawScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="EnvironmentalProductComplaincePeriod"> <xsd:sequence> <xsd:element minOccurs="0" name="startYear" type="xsd:gYear"> <xsd:annotation> <xsd:documentation xml:lang="en">The first year of the Compliance Period.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="endYear" type="xsd:gYear"> <xsd:annotation> <xsd:documentation xml:lang="en">The last year of the Commpliance Period.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="EnvironmentalTrackingSystem"> <xsd:annotation> <xsd:documentation xml:lang="en"> For US Emissions Allowance Transactions. A system where all electronic certificates are stored and emissions are tracked. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/commodity-environmental-tracking-system" name="commodityEnvironmentalTrackingSystemScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType abstract="true" name="FinancialSwapLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> The common components of a financially settled leg of a Commodity Swap. This is an abstract type and should be extended by commodity-specific types. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="CommoditySwapLeg"> <!--View Generation: Skipped an empty sequence.--> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FixedPrice"> <xsd:annotation> <xsd:documentation xml:lang="en">A type defining the Fixed Price.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="price" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">The Fixed Price.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="Price.model"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="FixedPriceLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> Fixed Price Leg of a Commodity Swap. It defines schedule of fixed payments associated with a commodity swap. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="FinancialSwapLeg"> <xsd:sequence> <xsd:group minOccurs="0" ref="CommodityCalculationPeriods.model"/> <xsd:group ref="CommodityFixedPrice.model"/> <xsd:group ref="CommodityNotionalQuantity.model"/> <!--View Generation: SKIPPED - Documentation--> <xsd:group minOccurs="0" ref="CommodityFreightFlatRate.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FloatingLegCalculation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type to capture details relevant to the calculation of the floating price. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="pricingDates" type="CommodityPricingDates"> <xsd:annotation> <xsd:documentation xml:lang="en">Commodity Pricing Dates.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="averagingMethod" type="AveragingMethodEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parties may specify a Method of Averaging where more than one pricing Dates is being specified as being applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED conversionFactor - Documentation--> <!--View Generation: SKIPPED rounding - Documentation--> <xsd:choice minOccurs="0"> <xsd:element name="spread" type="CommoditySpread"> <xsd:annotation> <xsd:documentation xml:lang="en"> The spread over or under the Commodity Reference Price for this leg of the trade. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED spreadSchedule - NonStandardFeature--> <xsd:element name="spreadPercentage" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The spread percentage over or under the Commodity Reference Price for this leg of the trade. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <!--View Generation: SKIPPED fx - NonStandardFeature--> </xsd:sequence> </xsd:complexType> <xsd:complexType name="FloatingPriceLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> Floating Price Leg of a Commodity Swap. Each 'floatingLeg' defines a series of financial payments for a commodity the value of which is derived from a floating price such as an exchange or an index publication. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="FinancialSwapLeg"> <xsd:sequence> <xsd:group minOccurs="0" ref="CommodityCalculationPeriods.model"/> <xsd:element name="commodity" type="Commodity"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the underlying instrument. Only underlyers of type Commodity are supported. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="CommodityNotionalQuantity.model"/> <xsd:element minOccurs="0" name="calculation" type="FloatingLegCalculation"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines details relevant to the calculation of the floating price. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED - Documentation--> <!--View Generation: SKIPPED - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FloatingStrikePrice"> <xsd:complexContent> <xsd:extension base="FloatingLegCalculation"> <xsd:sequence> <xsd:element ref="commodity"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="GasDelivery"> <xsd:annotation> <xsd:documentation xml:lang="en">The specification of the gas to be delivered.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="CommodityDeliveryPoints.model"/> <xsd:element name="deliveryType" type="DeliveryTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates whether the buyer and seller are contractually obliged to consume and supply the specified quantities of the commodity. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="interconnectionPoint" type="InterconnectionPoint"> <xsd:annotation> <xsd:documentation> Identification of the border(s) or border point(s) of a transportation contract. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="buyerHub" type="CommodityHub"> <xsd:annotation> <xsd:documentation xml:lang="en">The hub code of the gas buyer.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="sellerHub" type="CommodityHub"> <xsd:annotation> <xsd:documentation xml:lang="en">The hub code of the has seller.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:sequence> </xsd:complexType> <xsd:complexType name="GasDeliveryPeriods"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying the Delivery Periods for a physically settled gas trade. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="CommodityDeliveryPeriods"> <xsd:sequence> <xsd:element name="supplyStartTime" type="PrevailingTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> The time at which gas delivery should start on each day of the Delivery Period(s). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="supplyEndTime" type="PrevailingTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> The time at which gas delivery should end on each day of the Delivery Period(s). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="GasDeliveryPoint"> <xsd:annotation> <xsd:documentation xml:lang="en"> A scheme identifying the types of the Delivery Point for a physically settled gas trade. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="deliveryPointScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="GasPhysicalLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> Physically settled leg of a physically settled gas transaction. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PhysicalSwapLeg"> <xsd:sequence> <!--View Generation: SKIPPED deliveryPeriods - NonStandardFeature--> <xsd:element name="gas" type="GasProduct"> <xsd:annotation> <xsd:documentation xml:lang="en">The specification of the gas to be delivered.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="deliveryConditions" type="GasDelivery"> <xsd:annotation> <xsd:documentation xml:lang="en"> The physical delivery conditions for the transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="deliveryQuantity" type="GasPhysicalQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying the quantity. For Fixed trades where the quantity is known at the time of confirmation, a single quantity or a quantity per Delivery Period may be specified. For Variable trades minimum and maximum trades may be specified. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="GasPhysicalQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en">The quantity of gas to be delivered.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="CommodityPhysicalQuantityBase"> <!--View Generation: Removed a degenerate choice.--> <xsd:group ref="CommodityFixedPhysicalQuantity.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A quantity that is known at the time the transaction is executed. </xsd:documentation> </xsd:annotation> </xsd:group> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="GasProduct"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the characteristics of the gas being traded in a physically settled gas transaction. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="type" type="GasProductTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">The type of gas to be delivered.</xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: Skipped an empty choice.--> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED GasQuality - Documentation--> <xsd:complexType name="InterconnectionPoint"> <xsd:annotation> <xsd:documentation> Identification of the border(s) or border point(s) of a transportation contract. Use the list of EIC codes for timelines for electricity (T Codes) or the list of EIC codes for measurement points for gas (Z Codes). </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/external/eic-codes" name="interconnectionPointScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <!--View Generation: SKIPPED Lag - Standardized--> <!--View Generation: SKIPPED LagReference - Reference--> <!--View Generation: SKIPPED MarketDisruptionEvent - Documentation--> <xsd:complexType name="Material"> <xsd:annotation> <xsd:documentation xml:lang="en"> A scheme identifying the types of metal product for a physically settled metal trade. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://fpml.org/coding-scheme/commodity-metal-product-type" name="commodityMetalProductTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="Metal"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the characteristics of the metal product being traded in a physically settled metal transaction. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="material" type="Material"> <xsd:annotation> <xsd:documentation xml:lang="en"> The types of metal product for a physically settled metal trade. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: Skipped an empty sequence.--> <!--View Generation: Skipped an empty sequence.--> <xsd:sequence> <xsd:element maxOccurs="unbounded" name="grade" type="CommodityMetalGrade"> <xsd:annotation> <xsd:documentation xml:lang="en"> The grade(s) of material which can be delivered in seller's option. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:sequence> </xsd:complexType> <xsd:complexType name="MetalDelivery"> <xsd:annotation> <xsd:documentation xml:lang="en"> The physical delivery conditions for the transaction. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="deliveryLocation" type="CommodityDeliveryPoint"> <xsd:annotation> <xsd:documentation xml:lang="en"> The Delivery Point for a physically settled non-precious metal transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="risk" type="CommodityDeliveryRisk"> <xsd:annotation> <xsd:documentation xml:lang="en"> "Risk of loss" may also be used, equivalently, on confirmation documents. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED totalQuantityTolerance - Standardized--> <!--View Generation: SKIPPED periodQuantityTolerance - Standardized--> <!--View Generation: SKIPPED title - Standardized--> </xsd:sequence> </xsd:complexType> <xsd:complexType name="MetalPhysicalLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> Physically settled leg of a physically settled Metal transaction. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PhysicalForwardLeg"> <xsd:sequence> <xsd:element name="metal" type="Metal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specification of the Metal Product to be delivered. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED deliveryPeriods - Documentation--> <xsd:element minOccurs="0" name="deliveryConditions" type="MetalDelivery"> <xsd:annotation> <xsd:documentation xml:lang="en"> The physical delivery arrangements and requirements for a physically settled non-precious metal transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="CommodityFixedPhysicalQuantity.model"/> <!--View Generation: SKIPPED conversionFactor - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="NonPeriodicFixedPriceLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> The details of a fixed payment. Can be used for a forward transaction or as the base for a more complex fixed leg component such as the fixed leg of a swap. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="CommoditySwapLeg"> <xsd:sequence> <!--View Generation: SKIPPED - PartySpecific--> <xsd:element name="fixedPrice" type="FixedPrice"> <xsd:annotation> <xsd:documentation xml:lang="en">Fixed price on which fixed payments are based.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="totalPrice" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en"> The total amount of the fixed payment for all units of the underlying commodity. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED quantityReference - Other-represented elsewhere--> <!--View Generation: SKIPPED - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="OilDelivery"> <xsd:annotation> <xsd:documentation xml:lang="en"> The physical delivery conditions for an oil product. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice> <xsd:element name="pipeline" type="OilPipelineDelivery"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specified the delivery conditions where the oil product is to be delivered by pipeline. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="transfer" type="OilTransferDelivery"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specified the delivery conditions where the oil product is to be delivered by title transfer. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <!--View Generation: SKIPPED importerOfRecord - Documentation--> <!--View Generation: Skipped an empty choice.--> </xsd:sequence> </xsd:complexType> <xsd:complexType name="OilPhysicalLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> Physically settled leg of a physically settled oil product transaction. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PhysicalSwapLeg"> <xsd:sequence> <!--View Generation: SKIPPED deliveryPeriods - Documentation--> <xsd:element name="oil" type="OilProduct"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specification of the oil product to be delivered. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="deliveryConditions" type="OilDelivery"> <xsd:annotation> <xsd:documentation xml:lang="en"> The physical delivery conditions for the transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="deliveryQuantity" type="CommodityPhysicalQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying the quantity. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="OilPipelineDelivery"> <xsd:annotation> <xsd:documentation xml:lang="en"> The physical delivery conditions specific to an oil product delivered by pipeline. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="pipelineName" type="CommodityPipeline"> <xsd:annotation> <xsd:documentation xml:lang="en"> The name of pipeline by which the oil product will be delivered. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="withdrawalPoint" type="CommodityDeliveryPoint"> <xsd:annotation> <xsd:documentation xml:lang="en"> The location at which the transfer of the title to the commodity takes place. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="entryPoint" type="CommodityDeliveryPoint"> <xsd:annotation> <xsd:documentation xml:lang="en"> The point at which the oil product will enter the pipeline. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="deliverableByBarge" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Whether or not the delivery can go to barge. For trades documented under the ISDA Master Agreement and Oil Annex, this should always be set to 'false'. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="risk" type="CommodityDeliveryRisk"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies how the risk associated with the delivery is assigned. For trades documented under the ISDA Master Agreement and Oil Annex, this presence of this element indicates that the provisions of clause (b)(i) of the ISDA Oil Annex are being varied. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED cycle - NonStandardFeature--> </xsd:sequence> </xsd:complexType> <xsd:complexType name="OilProduct"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specification of the oil product to be delivered. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="type" type="OilProductType"> <xsd:annotation> <xsd:documentation xml:lang="en">The type of oil product to be delivered.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="grade" type="CommodityProductGrade"> <xsd:annotation> <xsd:documentation xml:lang="en">The grade of oil product to be delivered.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="OilProductType"> <xsd:annotation> <xsd:documentation xml:lang="en"> The type of physical commodity product to be delivered. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/commodity-oil-product-type" name="commodityOilProductTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="OilTransferDelivery"> <xsd:annotation> <xsd:documentation xml:lang="en"> The physical delivery conditions specific to an oil product delivered by title transfer. </xsd:documentation> </xsd:annotation> <xsd:sequence> <!--View Generation: SKIPPED applicable - Documentaion--> <xsd:element name="deliveryLocation" type="CommodityDeliveryPoint"> <xsd:annotation> <xsd:documentation xml:lang="en"> The location at which the transfer of the title to the commodity takes place. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED PercentageTolerance - Documentation--> <xsd:complexType abstract="true" name="PhysicalForwardLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> The common components of a physically settled leg of a Commodity Forward. This is an abstract type and should be extended by commodity-specific types. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="CommodityForwardLeg"> <!--View Generation: Skipped an empty sequence.--> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="PhysicalSwapLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> The common components of a physically settled leg of a Commodity Swap. This is an abstract type and should be extended by commodity-specific types. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="CommoditySwapLeg"> <!--View Generation: Skipped an empty sequence.--> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!--View Generation: SKIPPED QuantityReference - Reference--> <xsd:complexType name="ReferenceLevel"> <xsd:sequence> <xsd:element name="amount" type="xsd:decimal"/> <xsd:element name="referenceLevelUnit" type="ReferenceLevelUnit"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ReferenceLevelUnit"> <xsd:annotation> <xsd:documentation xml:lang="en"> CPD Reference Level: millimeters or inches of daily precipitation HDD Reference Level: degree-days CDD Reference Level: degree-days. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/weather-index-reference-level" name="weatherIndexReferenceLevelScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="SequencedDisruptionFallback"> <xsd:annotation> <xsd:documentation xml:lang="en"> A Disruption Fallback with the sequence in which it should be applied relative to other Disruption Fallbacks. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="fallback" type="DisruptionFallback"> <xsd:annotation> <xsd:documentation xml:lang="en">Disruption fallback that applies to the trade.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="sequence" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> Sequence in which the reference to the disruption fallback should be applied. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED SettlementPeriods - Unsupported--> <xsd:complexType name="SettlementPeriodsFixedPrice"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the Fixed Price applicable to a range or ranges of Settlement Periods. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="FixedPrice"> <!--View Generation: Skipped an empty sequence.--> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!--View Generation: SKIPPED SettlementPeriodsReference - Unsupported--> <!--View Generation: SKIPPED SettlementPeriodsSchedule - Unsupported--> <!--View Generation: SKIPPED SettlementPeriodsStep - Unsupported--> <xsd:complexType name="UnitQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en">A quantity and associated unit.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="quantityUnit" type="QuantityUnit"> <xsd:annotation> <xsd:documentation xml:lang="en"> Quantity Unit is the unit of measure applicable for the quantity on the Transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="quantity" type="NonNegativeDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en">Amount of commodity per quantity frequency.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="WeatherCalculationPeriod"> <xsd:annotation> <xsd:documentation xml:lang="en"> The schedule of Calculation Period First Days and Lasts Days. If there is only one First Day - Last Day pair then the First is equal to the Effective Date and the Last Day is equal to the Termination Date. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="calculationPeriodFirstDay" type="IdentifiedDate"/> <xsd:element name="calculationPeriodEndDay" type="IdentifiedDate"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="WeatherCalculationPeriods"> <xsd:annotation> <xsd:documentation xml:lang="en"> The schedule of Calculation Period First Days and Lasts Days. If there is only one First Day - Last Day pair then the First is equal to the Effective Date and the Last Day is equal to the Termination Date. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" name="calculationPeriod" type="WeatherCalculationPeriod"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="WeatherIndex"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the Weather Index Level or Weather Index Strike Level. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="quantity" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> This is the Reference Level. The CDD, HDD or HDD Reference Level is specified as the number of (amount of) Weather Index Units specified by the parties in the related Confirmation. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="unit" type="QuantityUnit"> <xsd:annotation> <xsd:documentation xml:lang="en"> Weather Index Unit derived from one of the following variable methods of determination: Cooling Degree Day (CDD), Heating Degree Day (HDD), Critical Precipitation Day (CPD) as defined in Section 11.15 of the 2005 ISDA Commodity Definitions and User Guide. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="WeatherIndexData"> <xsd:sequence> <xsd:element name="referenceLevel" type="ReferenceLevel"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reference level is the number of degree-days (in the case of HDD and CDD) or inches/millimeters (in the case of CPD) on which the differential is calculated. In the case of HDD it is the number of degree-days below this reference level. In the case of CDD it is the number of degree days above this reference level. In the case of CPD it is number of inches/millimeters above this reference level. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED dataProvider - NonStandardFeature--> <!--View Generation: SKIPPED finalEditedData - NonStandardFeature--> <!--View Generation: SKIPPED weatherStation - NonStandardFeature--> <!--View Generation: SKIPPED weatherStationFallback - NonStandardFeature--> <!--View Generation: SKIPPED weatherStationSecondFallback - NonStandardFeature--> <!--View Generation: SKIPPED alternativeDataProvider - NonStandardFeature--> <!--View Generation: SKIPPED synopticDataFallback - NonStandardFeature--> <!--View Generation: SKIPPED adjustmentToFallbackWeatherStation - NonStandardFeature--> <!--View Generation: SKIPPED primaryDisruptionFallbacks - NonStandardFeature--> <!--View Generation: SKIPPED secondaryDisruptionFallbacks - NonStandardFeature--> </xsd:sequence> </xsd:complexType> <xsd:complexType name="WeatherLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> A weather leg of a Commodity Swap defines Weather Index Swap transactions. Weather Index Swap transactions are OTC derivative transactions which settle financially based on an index calculated from observations of temperature, precipitation and other weather-related measurements at weather stations throughout the world. Sub-Annex C of the 2005 ISDA Commodity Definitions provides definitions and terms for a number of types of weather indices. These indices include: HDD (heating degree days), CDD (cooling degree days), CPD (critical precipitation days). Weather Index Swap transactions result in a cash flow to one of the two counterparties each Calculation Period depending on the relationship between the Settlement Level and the Weather Index Level. A Weather Index swap transaction always consists of a commodity swap element as a parent to two weatherLeg elements. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="FinancialSwapLeg"> <xsd:sequence> <xsd:element name="weatherIndexLevel" type="WeatherIndex"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defining the Weather Index Level or Weather Index Strike Level. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="WeatherCalculationPeriod.model"/> <xsd:element name="weatherNotionalAmount" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en">Defines the price per weather index unit.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="calculation" type="WeatherLegCalculation"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines details relevant to the calculation of the aggregate weather index amount. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED paymentDates - Standardized--> <xsd:element minOccurs="0" name="weatherIndexData" type="WeatherIndexData"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies where the data (e.g. CPD) have been collected, an actual physical reference point (weather station) and various fall back arrangements. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="WeatherLegCalculation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type to capture details of the calculation of the Payment Amount on a Weather Index Transaction. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="settlementLevel" type="WeatherSettlementLevelEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The Settlement Level means either the cumulative number of Weather Index Units for each day in the Calculation Period (Cumulative) or the cumulative number of Weather Index Units for each day in the Calculation Period divided by the number of days in the Calculation Period (Average) or the maximum number of Weather Index Units for any day in the Calculation Period (Maximum) or the minimum number of Weather Index Units for any day in the Calculation Period. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="referenceLevelEqualsZero" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> If Reference Level Equals Zero is specified to be applicable then CPD means, for any day during the Calculation Period, (A) 1 if the Daily Precipitation for that day is greater than or equal to the CPD Reference Level or (B) zero if the the Daily Precipitation for that day is less than the CPD Reference Level. If Reference Level Equals Zero is specified not to be applicable then CPD means, for any day during the Calculation Period, (A) 1 if the Daily Precipitation for that day is greater than the CPD Reference Level or 0 if the Daily Precipitation for that day is less than or equal to the CPD Reference Level. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="calculationDate" type="Period"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of days following the final day of the Calculation Period specified in the Confirmation on which is is practicable to provide the notice that the Calculation Agent is required to give for that Settlement Date or Payment Date. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED businessDays - NonStandardFeature--> <!--View Generation: SKIPPED dataCorrection - NonStandardFeature--> <!--View Generation: SKIPPED correctionPeriod - NonStandardFeature--> <xsd:element minOccurs="0" name="maximumPaymentAmount" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en"> The maximum total payment amount that will be paid in any particular transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="maximumTransactionPaymentAmount" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en"> The maximum payment amount that will be paid in any particular Calculation Period. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED rounding - NonStandardFeature--> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED WeatherStation - NonStandardFeature--> <!--View Generation: SKIPPED WeatherStationAirport - NonStandardFeature--> <!--View Generation: SKIPPED WeatherStationWBAN - NonStandardFeature--> <!--View Generation: SKIPPED WeatherStationWMO - NonStandardFeature--> <xsd:element name="bullionPhysicalLeg" substitutionGroup="commodityForwardLeg" type="BullionPhysicalLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> The physical leg of a Commodity Forward Transaction for which the underlyer is Bullion. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="coalPhysicalLeg" substitutionGroup="commoditySwapLeg" type="CoalPhysicalLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">Physically settled coal leg.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="commodityForward" substitutionGroup="product" type="CommodityForward"> <xsd:annotation> <xsd:documentation xml:lang="en">Defines a commodity forward product.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element abstract="true" name="commodityForwardLeg" type="CommodityForwardLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">Defines the substitutable commodity forward leg.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="commodityOption" substitutionGroup="product" type="CommodityOption"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines a commodity option product. The product support for financially-settled exercises or exercise into physical forward contracts written on precious and non-precious metals. options in FpML is based on the creation of a 'commodityOption' product. The product references the 'commodity' underlyer in order to support the underlying asset of the option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="commoditySwap" substitutionGroup="product" type="CommoditySwap"> <xsd:annotation> <xsd:documentation xml:lang="en">Defines a commodity swap product.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element abstract="true" name="commoditySwapLeg" type="CommoditySwapLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">Defines the substitutable commodity swap leg</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="commoditySwaption" substitutionGroup="product" type="CommoditySwaption"> <xsd:annotation> <xsd:documentation xml:lang="en">Defines a commodity swaption product</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="electricityPhysicalLeg" substitutionGroup="commoditySwapLeg" type="ElectricityPhysicalLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">Physically settled electricity leg.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="environmentalPhysicalLeg" substitutionGroup="commoditySwapLeg" type="EnvironmentalPhysicalLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">Physically settled environmental leg.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="fixedLeg" substitutionGroup="commoditySwapLeg" type="FixedPriceLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">Fixed Price Leg.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="floatingLeg" substitutionGroup="commoditySwapLeg" type="FloatingPriceLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">Floating Price leg.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="gasPhysicalLeg" substitutionGroup="commoditySwapLeg" type="GasPhysicalLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">Physically settled natural gas leg.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="metalPhysicalLeg" substitutionGroup="commodityForwardLeg" type="MetalPhysicalLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">Physically settled metal products leg.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="oilPhysicalLeg" substitutionGroup="commoditySwapLeg" type="OilPhysicalLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">Physically settled oil or refined products leg.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group name="CommodityAsian.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Model group containing features specific to asian/averaging commodity options. </xsd:documentation> </xsd:annotation> <xsd:sequence> <!--View Generation: Removed a degenerate choice.--> <xsd:element minOccurs="0" name="calculationPeriodsSchedule" type="CommodityCalculationPeriodsSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> A parametric representation of the Calculation Periods of the Commodity Option Transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="pricingDates" type="CommodityPricingDates"> <xsd:annotation> <xsd:documentation xml:lang="en">The dates on which the option will price.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="averagingMethod" type="AveragingMethodEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The Method of Averaging if there is more than one Pricing Date. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <!--View Generation: SKIPPED CommodityDeliveryPeriodsPointer.model - Unsupported--> <xsd:group name="CommodityDeliveryPoints.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A Delivery Point, applicable to physically settled commodity transactions. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element name="deliveryPoint" type="GasDeliveryPoint"> <xsd:annotation> <xsd:documentation xml:lang="en"> The physical or virtual point at which the commodity will be delivered. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: Skipped an empty sequence.--> </xsd:choice> </xsd:group> <xsd:group name="CommodityCalculationPeriods.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying the Calculation Periods. </xsd:documentation> </xsd:annotation> <xsd:choice> <!--View Generation: SKIPPED calculationDates - Unsupported--> <!--View Generation: SKIPPED calculationPeriods - Documentation--> <xsd:element minOccurs="0" name="calculationPeriodsSchedule" type="CommodityCalculationPeriodsSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> The Calculation Periods for this leg of the swap. This type is only intended to be used if the Calculation Periods differ on each leg. If Calculation Periods mirror another leg, then the calculationPeriodsReference element should be used to point to the Calculation Periods on the other leg - or the calculationPeriodsScheduleReference can be used to point to the Calculation Periods Schedule for that leg. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED - Documentation--> </xsd:choice> </xsd:group> <!--View Generation: SKIPPED CommodityCalculationPeriodsPointer.model - References--> <!--View Generation: SKIPPED CommodityCoalComposition.model - Documentation--> <!--View Generation: SKIPPED CommodityCoalProperties.model - Documentation--> <!--View Generation: SKIPPED CommodityCoalReducingAtmosphere.model - Documentation--> <!--View Generation: SKIPPED CommodityContent.model - Documentation--> <xsd:group name="CommodityFinancialOption.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Items specific to financially-settled commodity options. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="commodity" type="Commodity"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the underlying instrument. Usual content is an ISDA Commodity Reference Price Name. The 'commodity' underlyer component is specified using a reference to the 'commodity' asset (see description above at the Commodity Underlyer section). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="CommodityOptionFeatures.model"> <xsd:annotation> <xsd:documentation xml:lang="en">Describes additional features within the option.</xsd:documentation> </xsd:annotation> </xsd:group> <xsd:group ref="CommodityNotionalQuantity.model"/> <xsd:element name="exercise" type="CommodityExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parameters for defining how the commodity option can be exercised and how it is settled. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice minOccurs="0"> <xsd:group ref="CommodityStrikePrice.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying the Strike price per unit. This will consists of a single strike price of a strike price schedule. </xsd:documentation> </xsd:annotation> </xsd:group> <xsd:group ref="CommodityFloatingStrikePrice.model"/> </xsd:choice> </xsd:sequence> </xsd:group> <xsd:group name="CommodityFixedPhysicalQuantity.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying a fixed physical quantity of commodity to be delivered. </xsd:documentation> </xsd:annotation> <xsd:sequence> <!--View Generation: Skipped an empty choice.--> <xsd:element name="totalPhysicalQuantity" type="UnitQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en"> The Total Quantity of the commodity to be delivered. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="CommodityFixedPrice.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying the Fixed Price. </xsd:documentation> </xsd:annotation> <xsd:sequence> <!--View Generation: Removed a degenerate choice.--> <xsd:choice> <xsd:element name="fixedPrice" type="FixedPrice"> <xsd:annotation> <xsd:documentation xml:lang="en">Fixed price on which fixed payments are based.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="worldscaleRate" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> For a WET Voyager Charter Commodity Swap, the number of Worldscale Points for purposes of the calculation of a Fixed Amount. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="contractRate" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en"> For a DRY Voyage Charter or Time Charter Commodity Swap, the price per relevant unit for pruposes of the calculation of a Fixed Amount. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" name="settlementPeriodsPrice" type="SettlementPeriodsFixedPrice"> <xsd:annotation> <xsd:documentation xml:lang="en"> For an electricity transaction, the fixed price for one or more groups of Settlement Periods on which fixed payments are based. If the fixed price differs for different groups of Settlement Periods, this element should be repeated. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="totalPrice" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en"> The total amount of all fixed payments due during the term of the trade. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="CommodityFloatingStrikePrice.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying the average strike price per unit. These options are to specify a single average strike price per unit or to specify a schedule of average strike prices. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element name="floatingStrikePricePerUnit" type="FloatingStrikePrice"> <xsd:annotation> <xsd:documentation xml:lang="en">The currency amount of the strike price per unit.</xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED floatingStrikePricePerUnitSchedule - Other-represented elsewhere--> </xsd:choice> </xsd:group> <xsd:group name="CommodityFreightFlatRate.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The Flat Rate, applicable to Wet Voyager Charter Freight Swaps. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="flatRate" type="FlatRateEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> Whether the Flat Rate is the New Worldwide Tanker Nominal Freight Scale for the Freight Index Route taken at the Trade Date of the transaction or taken on each Pricing Date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="flatRateAmount" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en"> If flatRate is set to "Fixed", the actual value of the Flat Rate. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="CommodityNonPeriodicPaymentDates.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying the Payment Date. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element name="paymentDates" type="AdjustableDatesOrRelativeDateOffset"> <xsd:annotation> <xsd:documentation xml:lang="en">Dates on which payments will be made.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="masterAgreementPaymentDates" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> If present and true indicates that the Payment Date(s) are specified in the relevant master agreement. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <xsd:group name="CommodityNotionalQuantity.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying the Notional Quantity. A flat notional for the term of the contract may be specified, or else the Notional Quantity per Calculation Period. In the latter case, there must be a notional quantity step specified for each Calculation Period, regardless of whether the Notional Quantity changes or remains the same between periods. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:sequence> <!--View Generation: Removed a degenerate choice.--> <xsd:element name="notionalQuantity" type="CommodityNotionalQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en">The Notional Quantity.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="totalNotionalQuantity" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">The Total Notional Quantity.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <!--View Generation: SKIPPED quantityReference - References--> </xsd:choice> </xsd:group> <!--Other commodity features could be added here--> <xsd:group name="CommodityOptionFeatures.model"> <xsd:annotation> <xsd:documentation xml:lang="en">Describes additional features within the option.</xsd:documentation> </xsd:annotation> <xsd:sequence> <!--Made the effective date optional to be used with other commodity features like floating strike price--> <xsd:element name="effectiveDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The effective date of the Commodity Option Transaction. Note that the Termination/Expiration Date should be specified in expirationDate within the CommodityAmericanExercise type or the CommodityEuropeanExercise type, as applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="terminationDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the termination date of the Commodity Option Transaction. In some confirmations this will be indicated as the second date in "Option Term" or "Term". Note: If provided, terminationDate should not be before specified expirationDate within the CommodityAmericanExercise type or the CommodityEuropeanExercise type. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="CommodityAsian.model"/> </xsd:sequence> </xsd:group> <!--View Generation: SKIPPED CommodityPaymentDates.model - NonStandardFeature--> <xsd:group name="CommodityPhysicalOption.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Items specific to financially-settled commodity options. </xsd:documentation> </xsd:annotation> <xsd:sequence> <!--View Generation: Removed a degenerate choice.--> <xsd:element ref="commodityForward"/> <xsd:element name="physicalExercise" type="CommodityPhysicalExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parameters for defining how the commodity option can be exercised into a physical transaction. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="CommodityStrikePrice.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying the Strike price per unit. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element name="strikePricePerUnit" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en">The currency amount of the strike price per unit.</xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED strikePricePerUnitSchedule - Other-represented elsewhere--> </xsd:choice> </xsd:group> <xsd:group name="CommoditySwapDetails.model"> <xsd:sequence> <xsd:element name="effectiveDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the effective date of this leg of the swap. When defined in relation to a date specified somewhere else in the document (through the relativeDate component), this element will typically point to the effective date of the other leg of the swap. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="terminationDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the termination date of this leg of the swap. When defined in relation to a date specified somewhere else in the document (through the relativeDate component), this element will typically point to the termination date of the other leg of the swap. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="settlementCurrency" type="IdentifiedCurrency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The currency into which the Commodity Swap Transaction will settle. If this is not the same as the currency in which the Commodity Reference Price is quoted on a given floating leg of the Commodity Swap Transaction, then an FX rate should also be specified for that leg. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice> <xsd:element maxOccurs="2" minOccurs="2" ref="commoditySwapLeg"/> <xsd:element maxOccurs="2" minOccurs="2" name="weatherLeg" type="WeatherLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> A weather leg element of a Commodity Swap defines Weather Index Swap transactions. Weather Index Swap transactions are OTC derivative transactions which settle financially based on an index calculated from observations of temperature, precipitation and other weather-related measurements at weather stations throughout the world. Sub-Annex C of the 2005 ISDA Commodity Definitions provides definitions and terms for a number of types of weather indices. These indices include: HDD (heating degree days), CDD (cooling degree days), CPD (critical precipitation days). Weather Index Swap transactions result in a cash flow to one of the two counterparties each Calculation Period depending on the relationship between the Settlement Level and the Weather Index Level. A Weather Index swap transaction always consists of a commodity swap element as a parent to two weatherLeg elements. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <!--View Generation: SKIPPED - Documentation--> </xsd:sequence> </xsd:group> <!--View Generation: SKIPPED CommodityUSCoalProduct.model - Documentation--> <xsd:group name="CommodityUSCoalDelivery.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Items specific to the definition of the delivery of a US Coal Product. </xsd:documentation> </xsd:annotation> <xsd:sequence> <!--View Generation: SKIPPED quantityVariationAdjustment - Documentation--> <!--View Generation: SKIPPED transportationEquipment - Documentation--> <xsd:element minOccurs="0" name="risk" type="CommodityDeliveryRisk"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies how the risk associated with the delivery is assigned. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="CommodityWeatherOption.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Described Weather Index Option component. Weather Index Option transactions are OTC derivative transactions which settle financially based on an index calculated from observations of temperature and precipitation at weather stations throughout the world. Sub-Annex C of the 2005 ISDA Commodity Definitions provides definitions and terms for a number of types of weather indices. These indices include: HDD (heating degree days), CDD (cooling degree days), CPD (critical precipitation days). Weather Index Option Transactions results in a cash flow to the buyer depending on the relationship between the Settlement Level to the Weather Index Strike Level. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="effectiveDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en">Effective date of an option.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="WeatherCalculationPeriod.model"/> <xsd:element minOccurs="0" name="weatherNotionalAmount" type="NonNegativeMoney"/> <xsd:element name="exercise" type="CommodityExercise"/> <xsd:element name="weatherIndexStrikeLevel" type="WeatherIndex"> <xsd:annotation> <xsd:documentation xml:lang="en"> Weather Index strike price level is specified in terms of weather index units (e.g. 1 Days, 3 Inches, etc.) </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="calculation" type="WeatherLegCalculation"> <xsd:annotation> <xsd:documentation xml:lang="en"> Contains parameters which figure in the calculation of payments on a Weather Index Option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="weatherIndexData" type="WeatherIndexData"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies where the data (e.g. CPD) have been collected, an actual physical reference point (weather station) and various fall back arrangements. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <!--View Generation: SKIPPED LagOrReference.model - Standardized--> <xsd:group name="Price.model"> <xsd:annotation> <xsd:documentation xml:lang="en">Price model group.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="priceCurrency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en">Currency of the fixed price.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="priceUnit" type="QuantityUnit"> <xsd:annotation> <xsd:documentation xml:lang="en"> The unit of measure used to calculate the Fixed Price. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="PricingDays.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying which days are pricing days within a pricing period. Unless a lag element is present, the pricing period will be contained within the calculation period. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="dayType" type="CommodityDayTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">The type of day on which pricing occurs.</xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: Removed a degenerate choice.--> <xsd:sequence> <xsd:element name="dayDistribution" type="CommodityFrequencyType"> <xsd:annotation> <xsd:documentation xml:lang="en"> The method by which the pricing days are distributed across the pricing period. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dayCount" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of days over which pricing should take place. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:sequence> </xsd:group> <xsd:group name="WeatherCalculationPeriod.model"> <xsd:annotation> <xsd:documentation xml:lang="en">Descriptions of a calculation period.</xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element name="weatherCalculationPeriods" type="WeatherCalculationPeriods"/> <!--View Generation: SKIPPED weatherCalculationPeriodsReference - Reference--> </xsd:choice> </xsd:group> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.